!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-22 13:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_2964) = -sqrt(2d0)*cima/2d0
    coupl(nGC_2953) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_2955) = -sqrt(2d0)*gt/2d0
    coupl(nGC_2958) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**  &
                      2d0)
    coupl(nGC_2959) = -sqrt(2d0)*cima/2d0
    coupl(nGC_2925) = -sqrt(2d0)*cima/2d0
    coupl(nGC_2923) = sqrt(2d0)/2d0
    coupl(nGC_2922) = sqrt(2d0)/2d0
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_28) = ee**2d0/(2d0*sw)
    coupl(nGC_29) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_22) = ee/(2d0*sw)
    coupl(nGC_23) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_20) = -cima*ee/(2d0*sw)
    coupl(nGC_21) = cima*ee/(2d0*sw)
    coupl(nGC_26) = -ee**2d0/(2d0*sw)
    coupl(nGC_27) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_24) = -cima*cw*ee/sw
    coupl(nGC_25) = cima*cw*ee/sw
    coupl(nGC_984) = -coupl(nGC_20)
    coupl(nGC_154) = -coupl(nGC_22)
    coupl(nGC_2995) = -sqrt(2d0)*cima/2d0
    coupl(nGC_2992) = -sqrt(2d0)/2d0
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_2969) = -sqrt(2d0)/2d0
    coupl(nGC_2968) = sqrt(2d0)/2d0
    coupl(nGC_2963) = sqrt(2d0)/2d0
    coupl(nGC_2962) = -sqrt(2d0)/2d0
    coupl(nGC_2961) = sqrt(2d0)*gt/2d0
    coupl(nGC_2960) = -sqrt(2d0)*cima*gt/2d0
    coupl(nGC_2967) = -sqrt(2d0)*cima/2d0
    coupl(nGC_2966) = -sqrt(2d0)/2d0
    coupl(nGC_2965) = sqrt(2d0)/2d0
    coupl(nGC_3) = -cima*ee
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_7) = -ee**2d0/(2d0*cw)
    coupl(nGC_6) = 2d0*cima*ee**2d0
    coupl(nGC_4) = cima*ee
    coupl(nGC_9) = ee**2d0/(2d0*cw)
    coupl(nGC_8) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_2951) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_52) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*vev  &
                     + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_51) = -cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_50) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_57) = cima*yc
    coupl(nGC_56) = sqrt(2d0)*gt*yb/2d0
    coupl(nGC_55) = -sqrt(2d0)*cima*gt*yb/2d0
    coupl(nGC_54) = -sqrt(2d0)*gt*yb/2d0
    coupl(nGC_59) = -sqrt(2d0)*cima*yc/2d0
    coupl(nGC_58) = -sqrt(2d0)*yc/2d0
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_162) = -coupl(nGC_4)
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_60) = sqrt(2d0)*yc/2d0
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_I) = cima
    coupl(nGC_2934) = -cima*lam/2d0
    coupl(nGC_2935) = -sqrt(2d0)/2d0
    coupl(nGC_2932) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_2933) = -cima*vev/2d0
    coupl(nGC_268) = -coupl(nGC_29)/2d0
    coupl(nGC_17) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_16) = cMW*cima*ee
    coupl(nGC_15) = -3d0*cima*lam/2d0
    coupl(nGC_14) = -cima*lam
    coupl(nGC_13) = -cima*lam/2d0
    coupl(nGC_12) = cima*gs**2d0
    coupl(nGC_11) = cima*gs
    coupl(nGC_10) = -gs
    coupl(nGC_522) = -coupl(nGC_10)
    coupl(nGC_19) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_18) = -cima*ee**2d0/sw**2d0
    coupl(nGC_5) = cima*ee**2d0
    coupl(nGC_MI) = -cima
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_MH) = -cMH**2d0*cima
    coupl(nGC_2978) = 2d0*cima*gs**2d0
    coupl(nGC_2970) = -sqrt(2d0)/2d0
    coupl(nGC_2971) = -sqrt(2d0)*cima/2d0
    coupl(nGC_2972) = sqrt(2d0)/2d0
    coupl(nGC_2975) = sqrt(2d0)/2d0
    coupl(nGC_2976) = -gs
    coupl(nGC_2977) = -cima/2d0
    coupl(nGC_296) = -coupl(nGC_24)
    coupl(nGC_290) = -coupl(nGC_25)
    coupl(nGC_48) = -cima*lam*vev/2d0
    coupl(nGC_49) = -3d0*cima*lam*vev/2d0
    coupl(nGC_44) = -cMZ*cima*cw*ee/(2d0*sw) - cMZ*cima*ee*sw/(2d0*cw)
    coupl(nGC_45) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_46) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_47) = -cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_40) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_41) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_42) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
    coupl(nGC_43) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
    coupl(nGC_178) = -coupl(nGC_3)
    coupl(nGC_1264) = -coupl(nGC_12)
    coupl(nGC_1260) = -2d0*coupl(nGC_12)
    coupl(nGC_400) = -2d0*coupl(nGC_19)
    coupl(nGC_75) = -sqrt(2d0)*cima*ys/2d0
    coupl(nGC_74) = -sqrt(2d0)*ys/2d0
    coupl(nGC_76) = sqrt(2d0)*ys/2d0
    coupl(nGC_71) = -sqrt(2d0)*cima*ym/2d0
    coupl(nGC_70) = -sqrt(2d0)*ym/2d0
    coupl(nGC_73) = -cima*ys
    coupl(nGC_72) = sqrt(2d0)*ym/2d0
    coupl(nGC_79) = -cima*gt*ymt/vev
    coupl(nGC_106) = cima*gs
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_2941) = -3d0*cima*vev/2d0
    coupl(nGC_2942) = -3d0*cima*lam/2d0
    coupl(nGC_3009) = -sqrt(2d0)/2d0
    coupl(nGC_82) = -sqrt(2d0)*ytau/2d0
    coupl(nGC_83) = -sqrt(2d0)*cima*ytau/2d0
    coupl(nGC_1266) = 2d0*coupl(nGC_12)
    coupl(nGC_38) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_31) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_30) = -cMW*ee/(2d0*sw)
    coupl(nGC_33) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_32) = cMW*ee/(2d0*sw)
    coupl(nGC_35) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_37) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
    coupl(nGC_36) = cima*ee*sw/cw
    coupl(nGC_2981) = -3d0*cima/2d0
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_2984) = cima*gt*ymt/vev**2d0
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_2986) = -sqrt(2d0)*cima/2d0
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_34) = cima*ee*sw/(3d0*cw)
    coupl(nGC_88) = sqrt(2d0)*yup/2d0
    coupl(nGC_81) = -cima*ytau
    coupl(nGC_84) = sqrt(2d0)*ytau/2d0
    coupl(nGC_85) = cima*yup
    coupl(nGC_86) = -sqrt(2d0)*yup/2d0
    coupl(nGC_87) = -sqrt(2d0)*cima*yup/2d0
    coupl(nGC_66) = -sqrt(2d0)*ye/2d0
    coupl(nGC_67) = -sqrt(2d0)*cima*ye/2d0
    coupl(nGC_64) = sqrt(2d0)*ydo/2d0
    coupl(nGC_65) = -cima*ye
    coupl(nGC_62) = -sqrt(2d0)*ydo/2d0
    coupl(nGC_63) = -sqrt(2d0)*cima*ydo/2d0
    coupl(nGC_39) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_61) = -cima*ydo
    coupl(nGC_68) = sqrt(2d0)*ye/2d0
    coupl(nGC_69) = -cima*ym
    coupl(nGC_508) = -coupl(nGC_21)
    coupl(nGC_602) = -2d0*coupl(nGC_18)
    coupl(nGC_1030) = -2d0*coupl(nGC_5)
    coupl(nGC_830) = -coupl(nGC_40)
    coupl(nGC_348) = -coupl(nGC_37)
  end subroutine fill_couplings_mdl1
end module fill_couplings1
