!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-22 13:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  implicit none
  contains
  subroutine fill_vertices_mdl2()
    use class_vertices
    use class_couplings
    allocate(vertices(800)%branch(0:0))
    call av(800, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_22])

    allocate(vertices(801)%branch(0:0))
    call av(801, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_57, nGC_73])

    allocate(vertices(802)%branch(0:0))
    call av(802, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_41])

    allocate(vertices(803)%branch(0:0))
    call av(803, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_268, nGC_29, nGC_268])

    allocate(vertices(804)%branch(0:0))
    call av(804, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(805)%branch(0:0))
    call av(805, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_27])

    allocate(vertices(806)%branch(0:0))
    call av(806, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_43])

    allocate(vertices(807)%branch(0:0))
    call av(807, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_28])

    allocate(vertices(808)%branch(0:0))
    call av(808, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5, nGC_5, nGC_1030])

    allocate(vertices(809)%branch(0:0))
    call av(809, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_34, nGC_38])

    allocate(vertices(810)%branch(0:0))
    call av(810, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(811)%branch(0:0))
    call av(811, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(812)%branch(0:0))
    call av(812, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_9])

    allocate(vertices(813)%branch(0:0))
    call av(813, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5, nGC_5, nGC_1030])

    allocate(vertices(814)%branch(0:0))
    call av(814, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_42])

    allocate(vertices(815)%branch(0:0))
    call av(815, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_3])

    allocate(vertices(816)%branch(0:0))
    call av(816, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_46])

    allocate(vertices(817)%branch(0:0))
    call av(817, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_85, nGC_61])

    allocate(vertices(818)%branch(0:0))
    call av(818, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_19, nGC_400, nGC_19])

    allocate(vertices(819)%branch(0:0))
    call av(819, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_26])

    allocate(vertices(820)%branch(0:0))
    call av(820, 0, 18, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_63, nGC_63])

    allocate(vertices(821)%branch(0:0))
    call av(821, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_33])

    allocate(vertices(822)%branch(0:0))
    call av(822, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_178])

    allocate(vertices(823)%branch(0:0))
    call av(823, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_22])

    allocate(vertices(824)%branch(0:0))
    call av(824, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_162])

    allocate(vertices(825)%branch(0:0))
    call av(825, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_42])

    allocate(vertices(826)%branch(0:0))
    call av(826, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_50])

    allocate(vertices(827)%branch(0:0))
    call av(827, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_8])

    allocate(vertices(828)%branch(0:0))
    call av(828, 0, 8, 1, 0, FaSF2, 0, [0, 1, 0], [nGC_81])

    allocate(vertices(829)%branch(0:0))
    call av(829, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_42])

    allocate(vertices(830)%branch(0:0))
    call av(830, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_43])

    allocate(vertices(831)%branch(0:0))
    call av(831, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_44])

    allocate(vertices(832)%branch(0:0))
    call av(832, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_290])

    allocate(vertices(833)%branch(0:0))
    call av(833, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_6])

    allocate(vertices(834)%branch(0:0))
    call av(834, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_9])

    allocate(vertices(835)%branch(0:0))
    call av(835, 0, 8, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_81])

    allocate(vertices(836)%branch(0:0))
    call av(836, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_41])

    allocate(vertices(837)%branch(0:0))
    call av(837, 0, 8, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_36, nGC_40])

    allocate(vertices(838)%branch(0:0))
    call av(838, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_8])

    allocate(vertices(839)%branch(0:0))
    call av(839, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_7])

    allocate(vertices(840)%branch(0:0))
    call av(840, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(841)%branch(0:0))
    call av(841, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(842)%branch(0:0))
    call av(842, 0, 17, 1, 0, FaFS0, 0, [0, 1, 1], [nGC_55, nGC_55])

    allocate(vertices(843)%branch(0:0))
    call av(843, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_63, nGC_63])

    allocate(vertices(844)%branch(0:0))
    call av(844, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_27])

    allocate(vertices(845)%branch(0:0))
    call av(845, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_34, nGC_38])

    allocate(vertices(846)%branch(0:0))
    call av(846, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(847)%branch(0:0))
    call av(847, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(848)%branch(0:0))
    call av(848, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_35, nGC_39])

    allocate(vertices(849)%branch(0:0))
    call av(849, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_17])

    allocate(vertices(850)%branch(0:0))
    call av(850, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_162])

    allocate(vertices(851)%branch(0:0))
    call av(851, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_9])

    allocate(vertices(852)%branch(0:0))
    call av(852, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_50])

    allocate(vertices(853)%branch(0:0))
    call av(853, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_28])

    allocate(vertices(854)%branch(0:0))
    call av(854, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(855)%branch(0:1))
    call av(855, 0, 0, 4, 0, VVV0, 0, [1, 0, 0], [nGC_10])

    call av(855, 1, 1, 5, 0, VVV0, 0, [1, 0, 0], [nGC_10])

    allocate(vertices(856)%branch(0:0))
    call av(856, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_26])

    allocate(vertices(857)%branch(0:0))
    call av(857, 0, 8, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_72, nGC_70])

    allocate(vertices(858)%branch(0:0))
    call av(858, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_25])

    allocate(vertices(859)%branch(0:0))
    call av(859, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_8])

    allocate(vertices(860)%branch(0:0))
    call av(860, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_162])

    allocate(vertices(861)%branch(0:0))
    call av(861, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_28])

    allocate(vertices(862)%branch(0:0))
    call av(862, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_43])

    allocate(vertices(863)%branch(0:1))
    call av(863, 0, 30, 2, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(863, 1, 31, 3, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(864)%branch(0:0))
    call av(864, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_984])

    allocate(vertices(865)%branch(0:0))
    call av(865, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_9])

    allocate(vertices(866)%branch(0:0))
    call av(866, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_162])

    allocate(vertices(867)%branch(0:0))
    call av(867, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_27])

    allocate(vertices(868)%branch(0:0))
    call av(868, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(869)%branch(0:0))
    call av(869, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_8])

    allocate(vertices(870)%branch(0:1))
    call av(870, 0, 30, 2, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(870, 1, 31, 3, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(871)%branch(0:0))
    call av(871, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_290])

    allocate(vertices(872)%branch(0:0))
    call av(872, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_17])

    allocate(vertices(873)%branch(0:0))
    call av(873, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_17])

    allocate(vertices(874)%branch(0:0))
    call av(874, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_47])

    allocate(vertices(875)%branch(0:0))
    call av(875, 0, 21, 1, 0, SFFa0, 0, [0, 1, 1], [nGC_56, nGC_54])

    allocate(vertices(876)%branch(0:0))
    call av(876, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(877)%branch(0:0))
    call av(877, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(878)%branch(0:0))
    call av(878, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_27])

    allocate(vertices(879)%branch(0:0))
    call av(879, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_30])

    allocate(vertices(880)%branch(0:0))
    call av(880, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_17])

    allocate(vertices(881)%branch(0:0))
    call av(881, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_9])

    allocate(vertices(882)%branch(0:0))
    call av(882, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_42])

    allocate(vertices(883)%branch(0:0))
    call av(883, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_48])

    allocate(vertices(884)%branch(0:0))
    call av(884, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_13])

    allocate(vertices(885)%branch(0:0))
    call av(885, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_8])

    allocate(vertices(886)%branch(0:0))
    call av(886, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_42])

    allocate(vertices(887)%branch(0:0))
    call av(887, 0, 8, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(888)%branch(0:0))
    call av(888, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_15])

    allocate(vertices(889)%branch(0:0))
    call av(889, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_13])

    allocate(vertices(890)%branch(0:0))
    call av(890, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_17])

    allocate(vertices(891)%branch(0:0))
    call av(891, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_268, nGC_29, nGC_268])

    allocate(vertices(892)%branch(0:0))
    call av(892, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_33])

    allocate(vertices(893)%branch(0:0))
    call av(893, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_36, nGC_40])

    allocate(vertices(894)%branch(0:0))
    call av(894, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_35, nGC_39])

    allocate(vertices(895)%branch(0:0))
    call av(895, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_51])

    allocate(vertices(896)%branch(0:0))
    call av(896, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_42])

    allocate(vertices(897)%branch(0:0))
    call av(897, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_9])

    allocate(vertices(898)%branch(0:0))
    call av(898, 0, 10, 1, 0, FFaS1, 0, [0, 1, 1], [nGC_79, nGC_79])

    allocate(vertices(899)%branch(0:0))
    call av(899, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_41])

    allocate(vertices(900)%branch(0:0))
    call av(900, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1, nGC_1])

    allocate(vertices(901)%branch(0:0))
    call av(901, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_41])

    allocate(vertices(902)%branch(0:1))
    call av(902, 0, 22, 2, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(902, 1, 23, 3, 0, FaFV0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(903)%branch(0:0))
    call av(903, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_17])

    allocate(vertices(904)%branch(0:0))
    call av(904, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_178])

    allocate(vertices(905)%branch(0:0))
    call av(905, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_27])

    allocate(vertices(906)%branch(0:0))
    call av(906, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_31])

    allocate(vertices(907)%branch(0:0))
    call av(907, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(908)%branch(0:0))
    call av(908, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_28])

    allocate(vertices(909)%branch(0:0))
    call av(909, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_42])

    allocate(vertices(910)%branch(0:0))
    call av(910, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_35, nGC_39])

    allocate(vertices(911)%branch(0:0))
    call av(911, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_43])

    allocate(vertices(912)%branch(0:0))
    call av(912, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_178])

    allocate(vertices(913)%branch(0:0))
    call av(913, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_29, nGC_268, nGC_268])

    allocate(vertices(914)%branch(0:0))
    call av(914, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_162])

    allocate(vertices(915)%branch(0:0))
    call av(915, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_29, nGC_268, nGC_268])

    allocate(vertices(916)%branch(0:0))
    call av(916, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_27])

    allocate(vertices(917)%branch(0:0))
    call av(917, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_16])

    allocate(vertices(918)%branch(0:0))
    call av(918, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_26])

    allocate(vertices(919)%branch(0:0))
    call av(919, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_59, nGC_59])

    allocate(vertices(920)%branch(0:0))
    call av(920, 0, 8, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_36, nGC_40])

    allocate(vertices(921)%branch(0:0))
    call av(921, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_45])

    allocate(vertices(922)%branch(0:0))
    call av(922, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_22])

    allocate(vertices(923)%branch(0:0))
    call av(923, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_27])

    allocate(vertices(924)%branch(0:0))
    call av(924, 0, 8, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_84, nGC_82])

    allocate(vertices(925)%branch(0:0))
    call av(925, 0, 19, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(926)%branch(0:0))
    call av(926, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_2, nGC_2])

    allocate(vertices(927)%branch(0:0))
    call av(927, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_34, nGC_38])

    allocate(vertices(928)%branch(0:0))
    call av(928, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_1030, nGC_5, nGC_5])

    allocate(vertices(929)%branch(0:0))
    call av(929, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_41])

    allocate(vertices(930)%branch(0:0))
    call av(930, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(931)%branch(0:1))
    call av(931, 0, 26, 2, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(931, 1, 27, 3, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(932)%branch(0:0))
    call av(932, 0, 8, 1, 0, SFFa2, 0, [0, 1, 0], [nGC_81])

    allocate(vertices(933)%branch(0:0))
    call av(933, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(934)%branch(0:0))
    call av(934, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_73, nGC_57])

    allocate(vertices(935)%branch(0:0))
    call av(935, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_31])

    allocate(vertices(936)%branch(0:0))
    call av(936, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_17])

    allocate(vertices(937)%branch(0:0))
    call av(937, 0, 8, 1, 0, FSFa2, 0, [0, 1, 0], [nGC_69])

    allocate(vertices(938)%branch(0:0))
    call av(938, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_27])

    allocate(vertices(939)%branch(0:0))
    call av(939, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_16])

    allocate(vertices(940)%branch(0:0))
    call av(940, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_25])

    allocate(vertices(941)%branch(0:0))
    call av(941, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_42])

    allocate(vertices(942)%branch(0:0))
    call av(942, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_21])

    allocate(vertices(943)%branch(0:0))
    call av(943, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_13])

    allocate(vertices(944)%branch(0:0))
    call av(944, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_296])

    allocate(vertices(945)%branch(0:0))
    call av(945, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_27])

    allocate(vertices(946)%branch(0:0))
    call av(946, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_154])

    allocate(vertices(947)%branch(0:0))
    call av(947, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_30])

    allocate(vertices(948)%branch(0:0))
    call av(948, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_162])

    allocate(vertices(949)%branch(0:0))
    call av(949, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_17])

    allocate(vertices(950)%branch(0:1))
    call av(950, 0, 36, 4, 0, UaVU0, 0, [1, 0, 0], [nGC_522])

    call av(950, 1, 37, 5, 0, UaVU0, 0, [1, 0, 0], [nGC_522])

    allocate(vertices(951)%branch(0:0))
    call av(951, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(952)%branch(0:1))
    call av(952, 0, 30, 2, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(952, 1, 31, 3, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(953)%branch(0:0))
    call av(953, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_162])

    allocate(vertices(954)%branch(0:0))
    call av(954, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_23])

    allocate(vertices(955)%branch(0:0))
    call av(955, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_27])

    allocate(vertices(956)%branch(0:1))
    call av(956, 0, 24, 2, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(956, 1, 25, 3, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(957)%branch(0:0))
    call av(957, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_290])

    allocate(vertices(958)%branch(0:0))
    call av(958, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_32])

    allocate(vertices(959)%branch(0:0))
    call av(959, 0, 8, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_83, nGC_83])

    allocate(vertices(960)%branch(0:0))
    call av(960, 0, 8, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(961)%branch(0:0))
    call av(961, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_63, nGC_63])

    allocate(vertices(962)%branch(0:0))
    call av(962, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_7])

    allocate(vertices(963)%branch(0:0))
    call av(963, 0, 8, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_69])

    allocate(vertices(964)%branch(0:0))
    call av(964, 0, 8, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_68, nGC_66])

    allocate(vertices(965)%branch(0:0))
    call av(965, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_8])

    allocate(vertices(966)%branch(0:0))
    call av(966, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_16])

    allocate(vertices(967)%branch(0:0))
    call av(967, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_42])

    allocate(vertices(968)%branch(0:0))
    call av(968, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_48])

    allocate(vertices(969)%branch(0:0))
    call av(969, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_290])

    allocate(vertices(970)%branch(0:0))
    call av(970, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_44])

    allocate(vertices(971)%branch(0:1))
    call av(971, 0, 24, 2, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    call av(971, 1, 25, 3, 0, FaVF0, 0, [1, 0, 0], [nGC_11, nGC_11])

    allocate(vertices(972)%branch(0:0))
    call av(972, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_7])

    allocate(vertices(973)%branch(0:0))
    call av(973, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_290])

    allocate(vertices(974)%branch(0:0))
    call av(974, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_17])

    allocate(vertices(975)%branch(0:0))
    call av(975, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_51])

    allocate(vertices(976)%branch(0:0))
    call av(976, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_19, nGC_19, nGC_400])

    allocate(vertices(977)%branch(0:0))
    call av(977, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_64, nGC_62])

    allocate(vertices(978)%branch(0:0))
    call av(978, 0, 8, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_68, nGC_66])

    allocate(vertices(979)%branch(0:0))
    call av(979, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_31])

    allocate(vertices(980)%branch(0:0))
    call av(980, 0, 8, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(981)%branch(0:0))
    call av(981, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_87, nGC_87])

    allocate(vertices(982)%branch(0:0))
    call av(982, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_35, nGC_39])

    allocate(vertices(983)%branch(0:0))
    call av(983, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_296])

    allocate(vertices(984)%branch(0:0))
    call av(984, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_8])

    allocate(vertices(985)%branch(0:0))
    call av(985, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_6])

    allocate(vertices(986)%branch(0:0))
    call av(986, 0, 8, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_68, nGC_66])

    allocate(vertices(987)%branch(0:0))
    call av(987, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_51])

    allocate(vertices(988)%branch(0:0))
    call av(988, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_178])

    allocate(vertices(989)%branch(0:0))
    call av(989, 0, 21, 1, 0, SFFa0, 0, [0, 1, 1], [nGC_79, nGC_79])

    allocate(vertices(990)%branch(0:0))
    call av(990, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_50])

    allocate(vertices(991)%branch(0:0))
    call av(991, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_40])

    allocate(vertices(992)%branch(0:0))
    call av(992, 0, 8, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4, nGC_4])

    allocate(vertices(993)%branch(0:0))
    call av(993, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_13])

    allocate(vertices(994)%branch(0:0))
    call av(994, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_26])

    allocate(vertices(995)%branch(0:0))
    call av(995, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_42])

    allocate(vertices(996)%branch(0:0))
    call av(996, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_48])

    allocate(vertices(997)%branch(0:0))
    call av(997, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_51])

    allocate(vertices(998)%branch(0:0))
    call av(998, 0, 8, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_36, nGC_40])

    allocate(vertices(999)%branch(0:0))
    call av(999, 0, 8, 1, 0, FSFa1, 0, [0, 1, 0], [nGC_69])

    allocate(vertices(1000)%branch(0:0))
    call av(1000, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_8])

    allocate(vertices(1001)%branchCT(0:0))
    call avCT(1001, 0, 13, 1, 0, SV0, 0, [0, 0, 0], [nGC_4378])

    allocate(vertices(1)%branchCT(0:0))
    call avCT(1, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_4381])

    allocate(vertices(179)%branchCT(0:0))
    call avCT(179, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(24)%branchCT(0:0))
    call avCT(24, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4388, nGC_4388])

    allocate(vertices(5)%branchCT(0:1))
    call avCT(5, 0, 26, 2, 0, FVFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(5, 1, 27, 3, 0, FVFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(6)%branchCT(0:0))
    call avCT(6, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(48)%branchCT(0:0))
    call avCT(48, 0, 19, 1, 0, FSFa0, 0, [0, 1, 1], [nGC_3173, nGC_3172])

    allocate(vertices(8)%branchCT(0:0))
    call avCT(8, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(9)%branchCT(0:0))
    call avCT(9, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(65)%branchCT(0:0))
    call avCT(65, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_4411])

    allocate(vertices(640)%branchCT(0:0))
    call avCT(640, 0, 8, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_4416, nGC_4417])

    allocate(vertices(87)%branchCT(0:0))
    call avCT(87, 0, 8, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_4422, nGC_4423])

    allocate(vertices(1002)%branchCT(0:0))
    call avCT(1002, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(17)%branchCT(0:0))
    call avCT(17, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_3164, nGC_3165])

    allocate(vertices(314)%branchCT(0:0))
    call avCT(314, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_3165, nGC_3164])

    allocate(vertices(19)%branchCT(0:0))
    call avCT(19, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_4431])

    allocate(vertices(20)%branchCT(0:0))
    call avCT(20, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_3126])

    allocate(vertices(213)%branchCT(0:0))
    call avCT(213, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(26)%branchCT(0:0))
    call avCT(26, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(643)%branchCT(0:0))
    call avCT(643, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(428)%branchCT(0:0))
    call avCT(428, 0, 8, 1, 0, FaFS2, 0, [0, 1, 0], [nGC_4445])

    allocate(vertices(1003)%branchCT(0:0))
    call avCT(1003, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(34)%branchCT(0:0))
    call avCT(34, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(39)%branchCT(0:0))
    call avCT(39, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4453])

    allocate(vertices(43)%branchCT(0:0))
    call avCT(43, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(45)%branchCT(0:0))
    call avCT(45, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4458])

    allocate(vertices(46)%branchCT(0:0))
    call avCT(46, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_3127])

    allocate(vertices(986)%branchCT(0:0))
    call avCT(986, 0, 8, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4465, nGC_4464])

    allocate(vertices(50)%branchCT(0:0))
    call avCT(50, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_3121])

    allocate(vertices(51)%branchCT(0:0))
    call avCT(51, 0, 8, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4472, nGC_4472])

    allocate(vertices(52)%branchCT(0:0))
    call avCT(52, 0, 8, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_4478, nGC_4478])

    allocate(vertices(54)%branchCT(0:0))
    call avCT(54, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(55)%branchCT(0:0))
    call avCT(55, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4491])

    allocate(vertices(895)%branchCT(0:0))
    call avCT(895, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4495])

    allocate(vertices(361)%branchCT(0:0))
    call avCT(361, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(57)%branchCT(0:0))
    call avCT(57, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4504, nGC_4505,        &
    nGC_4504])

    allocate(vertices(58)%branchCT(0:0))
    call avCT(58, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(1004)%branchCT(0:0))
    call avCT(1004, 0, 13, 1, 0, VS0, 0, [0, 0, 0], [nGC_4511])

    allocate(vertices(62)%branchCT(0:0))
    call avCT(62, 0, 8, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_4465, nGC_4464])

    allocate(vertices(64)%branchCT(0:0))
    call avCT(64, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4520])

    allocate(vertices(157)%branchCT(0:0))
    call avCT(157, 0, 18, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_3168, nGC_3169])

    allocate(vertices(66)%branchCT(0:1))
    call avCT(66, 0, 34, 4, 0, UVUa0, 0, [3, 0, 0], [nGC_4526])

    call avCT(66, 1, 35, 5, 0, UVUa0, 0, [3, 0, 0], [nGC_4526])

    allocate(vertices(453)%branchCT(0:0))
    call avCT(453, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(70)%branchCT(0:0))
    call avCT(70, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4495])

    allocate(vertices(914)%branchCT(0:0))
    call avCT(914, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_4536])

    allocate(vertices(399)%branchCT(0:0))
    call avCT(399, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(149)%branchCT(0:0))
    call avCT(149, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4547, nGC_4548])

    allocate(vertices(518)%branchCT(0:0))
    call avCT(518, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3127])

    allocate(vertices(829)%branchCT(0:0))
    call avCT(829, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(80)%branchCT(0:0))
    call avCT(80, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_3171, nGC_3170])

    allocate(vertices(527)%branchCT(0:0))
    call avCT(527, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_4559])

    allocate(vertices(882)%branchCT(0:0))
    call avCT(882, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(85)%branchCT(0:1))
    call avCT(85, 0, 22, 2, 0, FaFV0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(85, 1, 23, 3, 0, FaFV0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(562)%branchCT(0:0))
    call avCT(562, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(88)%branchCT(0:0))
    call avCT(88, 0, 8, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_4572])

    allocate(vertices(596)%branchCT(0:0))
    call avCT(596, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(91)%branchCT(0:0))
    call avCT(91, 0, 8, 1, 0, FaFS1, 0, [0, 1, 0], [nGC_4572])

    allocate(vertices(620)%branchCT(0:0))
    call avCT(620, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(95)%branchCT(0:0))
    call avCT(95, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_3167, nGC_3166])

    allocate(vertices(96)%branchCT(0:0))
    call avCT(96, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(98)%branchCT(0:0))
    call avCT(98, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4589])

    allocate(vertices(101)%branchCT(0:0))
    call avCT(101, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(102)%branchCT(0:0))
    call avCT(102, 0, 8, 1, 0, SFaF1, 0, [0, 1, 0], [nGC_4572])

    allocate(vertices(103)%branchCT(0:0))
    call avCT(103, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(104)%branchCT(0:0))
    call avCT(104, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(105)%branchCT(0:0))
    call avCT(105, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(692)%branchCT(0:0))
    call avCT(692, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(1005)%branchCT(0:0))
    call avCT(1005, 0, 13, 1, 0, FaF0, 0, [0, 0, 0], [nGC_4613, nGC_4611,      &
    nGC_4614, nGC_4614])

    allocate(vertices(509)%branchCT(0:0))
    call avCT(509, 0, 18, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_3166, nGC_3167])

    allocate(vertices(112)%branchCT(0:0))
    call avCT(112, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(115)%branchCT(0:0))
    call avCT(115, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(117)%branchCT(0:0))
    call avCT(117, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(118)%branchCT(0:0))
    call avCT(118, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_3165, nGC_3164])

    allocate(vertices(764)%branchCT(0:0))
    call avCT(764, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4629])

    allocate(vertices(122)%branchCT(0:0))
    call avCT(122, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(1006)%branchCT(0:0))
    call avCT(1006, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4633])

    allocate(vertices(994)%branchCT(0:0))
    call avCT(994, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(130)%branchCT(0:0))
    call avCT(130, 0, 8, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4644, nGC_4645])

    allocate(vertices(134)%branchCT(0:0))
    call avCT(134, 0, 10, 1, 0, FFaS1, 0, [0, 1, 1], [nGC_4648, nGC_4648])

    allocate(vertices(135)%branchCT(0:0))
    call avCT(135, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(136)%branchCT(0:0))
    call avCT(136, 0, 17, 1, 0, FaFS0, 0, [0, 1, 1], [nGC_4657, nGC_4657])

    allocate(vertices(664)%branchCT(0:0))
    call avCT(664, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(151)%branchCT(0:0))
    call avCT(151, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_3122])

    allocate(vertices(139)%branchCT(0:0))
    call avCT(139, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(140)%branchCT(0:0))
    call avCT(140, 0, 21, 1, 0, SFFa0, 0, [0, 1, 1], [nGC_4648, nGC_4648])

    allocate(vertices(500)%branchCT(0:1))
    call avCT(500, 0, 22, 2, 0, FaFV0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(500, 1, 23, 3, 0, FaFV0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(1007)%branchCT(0:0))
    call avCT(1007, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(665)%branchCT(0:0))
    call avCT(665, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(148)%branchCT(0:0))
    call avCT(148, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(1008)%branchCT(0:0))
    call avCT(1008, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(150)%branchCT(0:0))
    call avCT(150, 0, 20, 1, 0, SFaF2, 0, [0, 1, 1], [nGC_3173, nGC_3172])

    allocate(vertices(153)%branchCT(0:0))
    call avCT(153, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4629])

    allocate(vertices(155)%branchCT(0:0))
    call avCT(155, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4458])

    allocate(vertices(156)%branchCT(0:0))
    call avCT(156, 0, 8, 1, 0, SFFa2, 0, [0, 1, 0], [nGC_4445])

    allocate(vertices(158)%branchCT(0:0))
    call avCT(158, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(159)%branchCT(0:0))
    call avCT(159, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(1009)%branchCT(0:0))
    call avCT(1009, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(161)%branchCT(0:0))
    call avCT(161, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4700,       &
    nGC_4701])

    allocate(vertices(63)%branchCT(0:0))
    call avCT(63, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4704])

    allocate(vertices(165)%branchCT(0:0))
    call avCT(165, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(94)%branchCT(0:0))
    call avCT(94, 0, 21, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(171)%branchCT(0:0))
    call avCT(171, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(172)%branchCT(0:0))
    call avCT(172, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4715])

    allocate(vertices(137)%branchCT(0:0))
    call avCT(137, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(176)%branchCT(0:0))
    call avCT(176, 0, 8, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4726, nGC_4727])

    allocate(vertices(178)%branchCT(0:0))
    call avCT(178, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_4520])

    allocate(vertices(181)%branchCT(0:0))
    call avCT(181, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_4411])

    allocate(vertices(183)%branchCT(0:0))
    call avCT(183, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(184)%branchCT(0:0))
    call avCT(184, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4738])

    allocate(vertices(185)%branchCT(0:1))
    call avCT(185, 0, 32, 4, 0, UUaV0, 0, [3, 0, 0], [nGC_4526])

    call avCT(185, 1, 33, 5, 0, UUaV0, 0, [3, 0, 0], [nGC_4526])

    allocate(vertices(189)%branchCT(0:1))
    call avCT(189, 0, 22, 2, 0, FaFV0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(189, 1, 23, 3, 0, FaFV0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(81)%branchCT(0:0))
    call avCT(81, 0, 8, 1, 0, SFFa1, 0, [0, 1, 0], [nGC_4749])

    allocate(vertices(191)%branchCT(0:0))
    call avCT(191, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_3121])

    allocate(vertices(192)%branchCT(0:0))
    call avCT(192, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4701,       &
    nGC_4700])

    allocate(vertices(926)%branchCT(0:0))
    call avCT(926, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4758, nGC_4759])

    allocate(vertices(195)%branchCT(0:0))
    call avCT(195, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(196)%branchCT(0:0))
    call avCT(196, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_4767])

    allocate(vertices(267)%branchCT(0:0))
    call avCT(267, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(268)%branchCT(0:0))
    call avCT(268, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4773])

    allocate(vertices(203)%branchCT(0:0))
    call avCT(203, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_4776])

    allocate(vertices(860)%branchCT(0:0))
    call avCT(860, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_4780])

    allocate(vertices(341)%branchCT(0:0))
    call avCT(341, 0, 8, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_4472, nGC_4472])

    allocate(vertices(206)%branchCT(0:0))
    call avCT(206, 0, 8, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4792, nGC_4793])

    allocate(vertices(207)%branchCT(0:0))
    call avCT(207, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(208)%branchCT(0:0))
    call avCT(208, 0, 8, 1, 0, FaFS2, 0, [0, 1, 0], [nGC_4749])

    allocate(vertices(209)%branchCT(0:0))
    call avCT(209, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(211)%branchCT(0:0))
    call avCT(211, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4505, nGC_4504,       &
    nGC_4504])

    allocate(vertices(31)%branchCT(0:0))
    call avCT(31, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4806])

    allocate(vertices(215)%branchCT(0:0))
    call avCT(215, 0, 18, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_4809, nGC_4809])

    allocate(vertices(343)%branchCT(0:0))
    call avCT(343, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(217)%branchCT(0:0))
    call avCT(217, 0, 20, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_3192, nGC_3191])

    allocate(vertices(1010)%branchCT(0:0))
    call avCT(1010, 0, 13, 1, 0, FFa0, 0, [0, 0, 0], [nGC_4816, nGC_4815])

    allocate(vertices(222)%branchCT(0:0))
    call avCT(222, 0, 8, 1, 0, FSFa1, 0, [0, 1, 0], [nGC_4445])

    allocate(vertices(224)%branchCT(0:0))
    call avCT(224, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(294)%branchCT(0:0))
    call avCT(294, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4758, nGC_4759])

    allocate(vertices(226)%branchCT(0:0))
    call avCT(226, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(416)%branchCT(0:0))
    call avCT(416, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4701,       &
    nGC_4700])

    allocate(vertices(230)%branchCT(0:0))
    call avCT(230, 0, 20, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_3167, nGC_3166])

    allocate(vertices(425)%branchCT(0:0))
    call avCT(425, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(437)%branchCT(0:0))
    call avCT(437, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(234)%branchCT(0:0))
    call avCT(234, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_3127])

    allocate(vertices(474)%branchCT(0:0))
    call avCT(474, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_3189, nGC_3190])

    allocate(vertices(258)%branchCT(0:0))
    call avCT(258, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(681)%branchCT(0:0))
    call avCT(681, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(247)%branchCT(0:0))
    call avCT(247, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(682)%branchCT(0:0))
    call avCT(682, 0, 8, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4644, nGC_4645])

    allocate(vertices(250)%branchCT(0:0))
    call avCT(250, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(978)%branchCT(0:0))
    call avCT(978, 0, 8, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4465, nGC_4464])

    allocate(vertices(252)%branchCT(0:0))
    call avCT(252, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4388, nGC_4388])

    allocate(vertices(254)%branchCT(0:0))
    call avCT(254, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(255)%branchCT(0:0))
    call avCT(255, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(684)%branchCT(0:0))
    call avCT(684, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(257)%branchCT(0:0))
    call avCT(257, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4875])

    allocate(vertices(606)%branchCT(0:0))
    call avCT(606, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(409)%branchCT(0:0))
    call avCT(409, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(263)%branchCT(0:0))
    call avCT(263, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(265)%branchCT(0:0))
    call avCT(265, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4890])

    allocate(vertices(266)%branchCT(0:0))
    call avCT(266, 0, 10, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(881)%branchCT(0:0))
    call avCT(881, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(271)%branchCT(0:0))
    call avCT(271, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_3165, nGC_3164])

    allocate(vertices(1011)%branchCT(0:0))
    call avCT(1011, 0, 13, 1, 0, SS0, 0, [0, 0, 0], [nGC_4901, nGC_4898])

    allocate(vertices(273)%branchCT(0:0))
    call avCT(273, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3130])

    allocate(vertices(274)%branchCT(0:0))
    call avCT(274, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4906])

    allocate(vertices(722)%branchCT(0:0))
    call avCT(722, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(276)%branchCT(0:0))
    call avCT(276, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_4912, nGC_4912])

    allocate(vertices(735)%branchCT(0:0))
    call avCT(735, 0, 8, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4547, nGC_4548])

    allocate(vertices(44)%branchCT(0:0))
    call avCT(44, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4495])

    allocate(vertices(281)%branchCT(0:0))
    call avCT(281, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_3127])

    allocate(vertices(482)%branchCT(0:0))
    call avCT(482, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4906])

    allocate(vertices(812)%branchCT(0:0))
    call avCT(812, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(510)%branchCT(0:0))
    call avCT(510, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4932])

    allocate(vertices(689)%branchCT(0:0))
    call avCT(689, 0, 8, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4938, nGC_4938])

    allocate(vertices(290)%branchCT(0:0))
    call avCT(290, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4946, nGC_4947])

    allocate(vertices(295)%branchCT(0:0))
    call avCT(295, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_3171, nGC_3170])

    allocate(vertices(296)%branchCT(0:0))
    call avCT(296, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(1012)%branchCT(0:0))
    call avCT(1012, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4633])

    allocate(vertices(349)%branchCT(0:0))
    call avCT(349, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(1013)%branchCT(0:0))
    call avCT(1013, 0, 13, 1, 0, FaF1, 0, [0, 0, 0], [nGC_4958, nGC_4957])

    allocate(vertices(300)%branchCT(0:0))
    call avCT(300, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4875])

    allocate(vertices(305)%branchCT(0:1))
    call avCT(305, 0, 24, 2, 0, FaVF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(305, 1, 25, 3, 0, FaVF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(308)%branchCT(0:0))
    call avCT(308, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(309)%branchCT(0:0))
    call avCT(309, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_3121])

    allocate(vertices(311)%branchCT(0:0))
    call avCT(311, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(312)%branchCT(0:0))
    call avCT(312, 0, 8, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4726, nGC_4727])

    allocate(vertices(464)%branchCT(0:0))
    call avCT(464, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4946, nGC_4947])

    allocate(vertices(317)%branchCT(0:0))
    call avCT(317, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(318)%branchCT(0:1))
    call avCT(318, 0, 26, 2, 0, FVFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(318, 1, 27, 3, 0, FVFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(321)%branchCT(0:0))
    call avCT(321, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_4991])

    allocate(vertices(322)%branchCT(0:1))
    call avCT(322, 0, 24, 2, 0, FaVF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(322, 1, 25, 3, 0, FaVF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(324)%branchCT(0:0))
    call avCT(324, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(511)%branchCT(0:0))
    call avCT(511, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4946, nGC_4947])

    allocate(vertices(326)%branchCT(0:0))
    call avCT(326, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_5006])

    allocate(vertices(327)%branchCT(0:0))
    call avCT(327, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_4715])

    allocate(vertices(328)%branchCT(0:0))
    call avCT(328, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(126)%branchCT(0:0))
    call avCT(126, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(883)%branchCT(0:0))
    call avCT(883, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_4776])

    allocate(vertices(333)%branchCT(0:0))
    call avCT(333, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(154)%branchCT(0:0))
    call avCT(154, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_5022])

    allocate(vertices(335)%branchCT(0:0))
    call avCT(335, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4758, nGC_4759])

    allocate(vertices(697)%branchCT(0:0))
    call avCT(697, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(338)%branchCT(0:0))
    call avCT(338, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(339)%branchCT(0:0))
    call avCT(339, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_4704])

    allocate(vertices(340)%branchCT(0:0))
    call avCT(340, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(218)%branchCT(0:0))
    call avCT(218, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(346)%branchCT(0:1))
    call avCT(346, 0, 11, 2, 0, FFaV1, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(346, 1, 12, 3, 0, FFaV1, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(700)%branchCT(0:1))
    call avCT(700, 0, 40, 4, 0, VUaU0, 0, [3, 0, 0], [nGC_4526])

    call avCT(700, 1, 41, 5, 0, VUaU0, 0, [3, 0, 0], [nGC_4526])

    allocate(vertices(350)%branchCT(0:0))
    call avCT(350, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(353)%branchCT(0:0))
    call avCT(353, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_5006])

    allocate(vertices(356)%branchCT(0:0))
    call avCT(356, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_5057])

    allocate(vertices(900)%branchCT(0:0))
    call avCT(900, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(358)%branchCT(0:0))
    call avCT(358, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(438)%branchCT(0:0))
    call avCT(438, 0, 8, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_4465, nGC_4464])

    allocate(vertices(544)%branchCT(0:0))
    call avCT(544, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4738])

    allocate(vertices(366)%branchCT(0:0))
    call avCT(366, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(367)%branchCT(0:0))
    call avCT(367, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(357)%branchCT(0:0))
    call avCT(357, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4758, nGC_4759])

    allocate(vertices(704)%branchCT(0:0))
    call avCT(704, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(371)%branchCT(0:0))
    call avCT(371, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(388)%branchCT(0:0))
    call avCT(388, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(374)%branchCT(0:0))
    call avCT(374, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_5006])

    allocate(vertices(375)%branchCT(0:0))
    call avCT(375, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4505, nGC_4504,       &
    nGC_4504])

    allocate(vertices(440)%branchCT(0:0))
    call avCT(440, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(806)%branchCT(0:0))
    call avCT(806, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_3124])

    allocate(vertices(941)%branchCT(0:0))
    call avCT(941, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(1014)%branchCT(0:0))
    call avCT(1014, 0, 13, 1, 0, FFa1, 0, [0, 0, 0], [nGC_5105, nGC_5102,      &
    nGC_5106, nGC_5106])

    allocate(vertices(381)%branchCT(0:0))
    call avCT(381, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_4715])

    allocate(vertices(708)%branchCT(0:0))
    call avCT(708, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(382)%branchCT(0:0))
    call avCT(382, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_5057])

    allocate(vertices(143)%branchCT(0:0))
    call avCT(143, 0, 8, 1, 0, SFFa2, 0, [0, 1, 0], [nGC_4572])

    allocate(vertices(1015)%branchCT(0:0))
    call avCT(1015, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(469)%branchCT(0:0))
    call avCT(469, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4701, nGC_4700,       &
    nGC_4700])

    allocate(vertices(407)%branchCT(0:0))
    call avCT(407, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(393)%branchCT(0:0))
    call avCT(393, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(395)%branchCT(0:0))
    call avCT(395, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5131, nGC_5131,       &
    nGC_5132])

    allocate(vertices(516)%branchCT(0:0))
    call avCT(516, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(61)%branchCT(0:0))
    call avCT(61, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(852)%branchCT(0:0))
    call avCT(852, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4773])

    allocate(vertices(553)%branchCT(0:0))
    call avCT(553, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(401)%branchCT(0:0))
    call avCT(401, 0, 8, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_5151, nGC_5152])

    allocate(vertices(406)%branchCT(0:0))
    call avCT(406, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4458])

    allocate(vertices(861)%branchCT(0:0))
    call avCT(861, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(772)%branchCT(0:0))
    call avCT(772, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(411)%branchCT(0:0))
    call avCT(411, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_3189, nGC_3190])

    allocate(vertices(612)%branchCT(0:0))
    call avCT(612, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(413)%branchCT(0:0))
    call avCT(413, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(415)%branchCT(0:1))
    call avCT(415, 0, 28, 2, 0, VFaF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(415, 1, 29, 3, 0, VFaF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(417)%branchCT(0:0))
    call avCT(417, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4906])

    allocate(vertices(420)%branchCT(0:0))
    call avCT(420, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4738])

    allocate(vertices(421)%branchCT(0:0))
    call avCT(421, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_5179])

    allocate(vertices(423)%branchCT(0:0))
    call avCT(423, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_5182])

    allocate(vertices(923)%branchCT(0:0))
    call avCT(923, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(426)%branchCT(0:0))
    call avCT(426, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(1016)%branchCT(0:0))
    call avCT(1016, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(629)%branchCT(0:0))
    call avCT(629, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4773])

    allocate(vertices(432)%branchCT(0:0))
    call avCT(432, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_5194])

    allocate(vertices(993)%branchCT(0:0))
    call avCT(993, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3130])

    allocate(vertices(1017)%branchCT(0:0))
    call avCT(1017, 0, 13, 1, 0, SV0, 0, [0, 0, 0], [nGC_4511])

    allocate(vertices(771)%branchCT(0:0))
    call avCT(771, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_4491])

    allocate(vertices(787)%branchCT(0:0))
    call avCT(787, 0, 20, 1, 0, SFaF2, 0, [0, 1, 1], [nGC_4648, nGC_4648])

    allocate(vertices(344)%branchCT(0:0))
    call avCT(344, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_5204])

    allocate(vertices(1018)%branchCT(0:0))
    call avCT(1018, 0, 13, 1, 0, SV0, 0, [0, 0, 0], [nGC_5207])

    allocate(vertices(447)%branchCT(0:0))
    call avCT(447, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4495])

    allocate(vertices(449)%branchCT(0:0))
    call avCT(449, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(875)%branchCT(0:0))
    call avCT(875, 0, 21, 1, 0, SFFa0, 0, [0, 1, 1], [nGC_3173, nGC_3172])

    allocate(vertices(35)%branchCT(0:0))
    call avCT(35, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_4809, nGC_4809])

    allocate(vertices(888)%branchCT(0:0))
    call avCT(888, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3129])

    allocate(vertices(69)%branchCT(0:0))
    call avCT(69, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(913)%branchCT(0:0))
    call avCT(913, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4701, nGC_4700,       &
    nGC_4700])

    allocate(vertices(456)%branchCT(0:0))
    call avCT(456, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4758, nGC_4759])

    allocate(vertices(483)%branchCT(0:0))
    call avCT(483, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5231, nGC_5232,       &
    nGC_5232])

    allocate(vertices(459)%branchCT(0:0))
    call avCT(459, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(460)%branchCT(0:0))
    call avCT(460, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_4704])

    allocate(vertices(1019)%branchCT(0:0))
    call avCT(1019, 0, 13, 1, 0, VS0, 0, [0, 0, 0], [nGC_5237])

    allocate(vertices(967)%branchCT(0:0))
    call avCT(967, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(463)%branchCT(0:0))
    call avCT(463, 0, 8, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_4478, nGC_4478])

    allocate(vertices(465)%branchCT(0:0))
    call avCT(465, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5231, nGC_5232,       &
    nGC_5232])

    allocate(vertices(982)%branchCT(0:0))
    call avCT(982, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4946, nGC_4947])

    allocate(vertices(468)%branchCT(0:0))
    call avCT(468, 0, 19, 1, 0, FSFa0, 0, [0, 1, 1], [nGC_4657, nGC_4657])

    allocate(vertices(803)%branchCT(0:0))
    call avCT(803, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4701,       &
    nGC_4700])

    allocate(vertices(471)%branchCT(0:0))
    call avCT(471, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(473)%branchCT(0:0))
    call avCT(473, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_5057])

    allocate(vertices(475)%branchCT(0:1))
    call avCT(475, 0, 26, 2, 0, FVFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(475, 1, 27, 3, 0, FVFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(477)%branchCT(0:0))
    call avCT(477, 0, 8, 1, 0, FaSF2, 0, [0, 1, 0], [nGC_4445])

    allocate(vertices(1020)%branchCT(0:0))
    call avCT(1020, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(479)%branchCT(0:0))
    call avCT(479, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_4780])

    allocate(vertices(781)%branchCT(0:0))
    call avCT(781, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(121)%branchCT(0:0))
    call avCT(121, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(490)%branchCT(0:0))
    call avCT(490, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3127])

    allocate(vertices(491)%branchCT(0:0))
    call avCT(491, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(493)%branchCT(0:0))
    call avCT(493, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(495)%branchCT(0:0))
    call avCT(495, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_3189, nGC_3190])

    allocate(vertices(496)%branchCT(0:0))
    call avCT(496, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(497)%branchCT(0:0))
    call avCT(497, 0, 8, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_4472, nGC_4472])

    allocate(vertices(77)%branchCT(0:0))
    call avCT(77, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_5022])

    allocate(vertices(501)%branchCT(0:0))
    call avCT(501, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3130])

    allocate(vertices(504)%branchCT(0:0))
    call avCT(504, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3131])

    allocate(vertices(506)%branchCT(0:0))
    call avCT(506, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3130])

    allocate(vertices(507)%branchCT(0:0))
    call avCT(507, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_4715])

    allocate(vertices(240)%branchCT(0:0))
    call avCT(240, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4700,       &
    nGC_4701])

    allocate(vertices(749)%branchCT(0:0))
    call avCT(749, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_3192, nGC_3191])

    allocate(vertices(1021)%branchCT(0:0))
    call avCT(1021, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(264)%branchCT(0:0))
    call avCT(264, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_4806])

    allocate(vertices(514)%branchCT(0:0))
    call avCT(514, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(1022)%branchCT(0:0))
    call avCT(1022, 0, 14, 1, 0, FFa2, 0, [0, 0, 0], [nGC_3202, nGC_3202])

    allocate(vertices(532)%branchCT(0:0))
    call avCT(532, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(282)%branchCT(0:0))
    call avCT(282, 0, 8, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4792, nGC_4793])

    allocate(vertices(520)%branchCT(0:0))
    call avCT(520, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(521)%branchCT(0:0))
    call avCT(521, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_5194])

    allocate(vertices(524)%branchCT(0:0))
    call avCT(524, 0, 8, 1, 0, SFFa1, 0, [0, 1, 0], [nGC_4445])

    allocate(vertices(293)%branchCT(0:0))
    call avCT(293, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(530)%branchCT(0:0))
    call avCT(530, 0, 8, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_5151, nGC_5152])

    allocate(vertices(310)%branchCT(0:0))
    call avCT(310, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(535)%branchCT(0:0))
    call avCT(535, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_4431])

    allocate(vertices(536)%branchCT(0:0))
    call avCT(536, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(537)%branchCT(0:0))
    call avCT(537, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(952)%branchCT(0:1))
    call avCT(952, 0, 30, 2, 0, VFFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(952, 1, 31, 3, 0, VFFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(540)%branchCT(0:0))
    call avCT(540, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(541)%branchCT(0:0))
    call avCT(541, 0, 8, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_4416, nGC_4417])

    allocate(vertices(542)%branchCT(0:0))
    call avCT(542, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(412)%branchCT(0:0))
    call avCT(412, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_4411])

    allocate(vertices(1023)%branchCT(0:0))
    call avCT(1023, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(545)%branchCT(0:0))
    call avCT(545, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4453])

    allocate(vertices(546)%branchCT(0:0))
    call avCT(546, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(549)%branchCT(0:0))
    call avCT(549, 0, 8, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4422, nGC_4423])

    allocate(vertices(828)%branchCT(0:0))
    call avCT(828, 0, 8, 1, 0, FaSF2, 0, [0, 1, 0], [nGC_4749])

    allocate(vertices(1024)%branchCT(0:0))
    call avCT(1024, 0, 13, 1, 0, FFa1, 0, [0, 0, 0], [nGC_5382, nGC_5379,      &
    nGC_5383, nGC_5383])

    allocate(vertices(554)%branchCT(0:0))
    call avCT(554, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4875])

    allocate(vertices(557)%branchCT(0:0))
    call avCT(557, 0, 8, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_4938, nGC_4938])

    allocate(vertices(559)%branchCT(0:0))
    call avCT(559, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5231, nGC_5232,       &
    nGC_5232])

    allocate(vertices(86)%branchCT(0:0))
    call avCT(86, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5232, nGC_5231,        &
    nGC_5232])

    allocate(vertices(563)%branchCT(0:0))
    call avCT(563, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_4520])

    allocate(vertices(564)%branchCT(0:0))
    call avCT(564, 0, 8, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_5151, nGC_5152])

    allocate(vertices(567)%branchCT(0:0))
    call avCT(567, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3121])

    allocate(vertices(569)%branchCT(0:0))
    call avCT(569, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_4536])

    allocate(vertices(762)%branchCT(0:0))
    call avCT(762, 0, 21, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(574)%branchCT(0:0))
    call avCT(574, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(587)%branchCT(0:0))
    call avCT(587, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_3168, nGC_3169])

    allocate(vertices(600)%branchCT(0:0))
    call avCT(600, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_4388, nGC_4388])

    allocate(vertices(581)%branchCT(0:0))
    call avCT(581, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4946, nGC_4947])

    allocate(vertices(634)%branchCT(0:0))
    call avCT(634, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3131])

    allocate(vertices(89)%branchCT(0:0))
    call avCT(89, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_5057])

    allocate(vertices(585)%branchCT(0:0))
    call avCT(585, 0, 8, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_5429, nGC_5430])

    allocate(vertices(586)%branchCT(0:0))
    call avCT(586, 0, 20, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_4912, nGC_4912])

    allocate(vertices(667)%branchCT(0:0))
    call avCT(667, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(408)%branchCT(0:0))
    call avCT(408, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(12)%branchCT(0:0))
    call avCT(12, 0, 8, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_4749])

    allocate(vertices(594)%branchCT(0:0))
    call avCT(594, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_5182])

    allocate(vertices(595)%branchCT(0:1))
    call avCT(595, 0, 11, 2, 0, FFaV1, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(595, 1, 12, 3, 0, FFaV1, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(90)%branchCT(0:0))
    call avCT(90, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5131, nGC_5131,        &
    nGC_5132])

    allocate(vertices(601)%branchCT(0:0))
    call avCT(601, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4536])

    allocate(vertices(751)%branchCT(0:0))
    call avCT(751, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4505, nGC_4504,       &
    nGC_4504])

    allocate(vertices(1025)%branchCT(0:0))
    call avCT(1025, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_5453])

    allocate(vertices(782)%branchCT(0:0))
    call avCT(782, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_3121])

    allocate(vertices(1026)%branchCT(0:0))
    call avCT(1026, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(93)%branchCT(0:0))
    call avCT(93, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4946, nGC_4947])

    allocate(vertices(611)%branchCT(0:0))
    call avCT(611, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_5462])

    allocate(vertices(613)%branchCT(0:0))
    call avCT(613, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_5462])

    allocate(vertices(614)%branchCT(0:0))
    call avCT(614, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(615)%branchCT(0:0))
    call avCT(615, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4780])

    allocate(vertices(619)%branchCT(0:0))
    call avCT(619, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(355)%branchCT(0:0))
    call avCT(355, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_3167, nGC_3166])

    allocate(vertices(109)%branchCT(0:0))
    call avCT(109, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_4411])

    allocate(vertices(628)%branchCT(0:0))
    call avCT(628, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(925)%branchCT(0:0))
    call avCT(925, 0, 19, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(632)%branchCT(0:0))
    call avCT(632, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_4536])

    allocate(vertices(633)%branchCT(0:0))
    call avCT(633, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3130])

    allocate(vertices(635)%branchCT(0:0))
    call avCT(635, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4495])

    allocate(vertices(637)%branchCT(0:0))
    call avCT(637, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(0)%branchCT(0:0))
    call avCT(0, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_4559])

    allocate(vertices(894)%branchCT(0:0))
    call avCT(894, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4946, nGC_4947])

    allocate(vertices(642)%branchCT(0:0))
    call avCT(642, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4411])

    allocate(vertices(1027)%branchCT(0:0))
    call avCT(1027, 0, 13, 1, 0, FFa0, 0, [0, 0, 0], [nGC_4958, nGC_4957])

    allocate(vertices(645)%branchCT(0:0))
    call avCT(645, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(649)%branchCT(0:0))
    call avCT(649, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_4715])

    allocate(vertices(651)%branchCT(0:0))
    call avCT(651, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(755)%branchCT(0:0))
    call avCT(755, 0, 8, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_4478, nGC_4478])

    allocate(vertices(654)%branchCT(0:0))
    call avCT(654, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_5194])

    allocate(vertices(655)%branchCT(0:0))
    call avCT(655, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(617)%branchCT(0:0))
    call avCT(617, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_4767])

    allocate(vertices(253)%branchCT(0:1))
    call avCT(253, 0, 26, 2, 0, FVFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(253, 1, 27, 3, 0, FVFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(661)%branchCT(0:0))
    call avCT(661, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_4932])

    allocate(vertices(662)%branchCT(0:0))
    call avCT(662, 0, 8, 1, 0, FFaS2, 0, [0, 1, 0], [nGC_4749])

    allocate(vertices(897)%branchCT(0:0))
    call avCT(897, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(666)%branchCT(0:0))
    call avCT(666, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_4589])

    allocate(vertices(1028)%branchCT(0:0))
    call avCT(1028, 0, 13, 1, 0, VV0, 0, [0, 0, 0], [nGC_5535, nGC_5534])

    allocate(vertices(671)%branchCT(0:0))
    call avCT(671, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(1029)%branchCT(0:0))
    call avCT(1029, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(678)%branchCT(0:0))
    call avCT(678, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(235)%branchCT(0:0))
    call avCT(235, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(804)%branchCT(0:0))
    call avCT(804, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_4991])

    allocate(vertices(1030)%branchCT(0:0))
    call avCT(1030, 0, 14, 1, 0, FFa2, 0, [0, 0, 0], [nGC_3205, nGC_3205])

    allocate(vertices(685)%branchCT(0:0))
    call avCT(685, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4890])

    allocate(vertices(687)%branchCT(0:0))
    call avCT(687, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(718)%branchCT(0:0))
    call avCT(718, 0, 20, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_5555, nGC_5555])

    allocate(vertices(691)%branchCT(0:0))
    call avCT(691, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(106)%branchCT(0:0))
    call avCT(106, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(693)%branchCT(0:0))
    call avCT(693, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4792, nGC_4793])

    allocate(vertices(72)%branchCT(0:0))
    call avCT(72, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3131])

    allocate(vertices(698)%branchCT(0:0))
    call avCT(698, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_3192, nGC_3191])

    allocate(vertices(4)%branchCT(0:0))
    call avCT(4, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_5057])

    allocate(vertices(703)%branchCT(0:0))
    call avCT(703, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_3168, nGC_3169])

    allocate(vertices(702)%branchCT(0:0))
    call avCT(702, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_3166, nGC_3167])

    allocate(vertices(705)%branchCT(0:0))
    call avCT(705, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(709)%branchCT(0:0))
    call avCT(709, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_5022])

    allocate(vertices(1031)%branchCT(0:0))
    call avCT(1031, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(713)%branchCT(0:0))
    call avCT(713, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(652)%branchCT(0:0))
    call avCT(652, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(110)%branchCT(0:0))
    call avCT(110, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_4715])

    allocate(vertices(597)%branchCT(0:0))
    call avCT(597, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(997)%branchCT(0:0))
    call avCT(997, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4495])

    allocate(vertices(765)%branchCT(0:0))
    call avCT(765, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4806])

    allocate(vertices(494)%branchCT(0:0))
    call avCT(494, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(1032)%branchCT(0:0))
    call avCT(1032, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_5452])

    allocate(vertices(729)%branchCT(0:0))
    call avCT(729, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(733)%branchCT(0:0))
    call avCT(733, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3131])

    allocate(vertices(768)%branchCT(0:0))
    call avCT(768, 0, 8, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4416, nGC_4417])

    allocate(vertices(736)%branchCT(0:0))
    call avCT(736, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_4809, nGC_4809])

    allocate(vertices(116)%branchCT(0:0))
    call avCT(116, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4715])

    allocate(vertices(1033)%branchCT(0:0))
    call avCT(1033, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(744)%branchCT(0:0))
    call avCT(744, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3131])

    allocate(vertices(747)%branchCT(0:0))
    call avCT(747, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4505, nGC_4504,       &
    nGC_4504])

    allocate(vertices(940)%branchCT(0:0))
    call avCT(940, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_4766])

    allocate(vertices(750)%branchCT(0:0))
    call avCT(750, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4758, nGC_4759])

    allocate(vertices(945)%branchCT(0:0))
    call avCT(945, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(1034)%branchCT(0:0))
    call avCT(1034, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(754)%branchCT(0:0))
    call avCT(754, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_5022])

    allocate(vertices(657)%branchCT(0:0))
    call avCT(657, 0, 8, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4472, nGC_4472])

    allocate(vertices(757)%branchCT(0:0))
    call avCT(757, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4875])

    allocate(vertices(758)%branchCT(0:1))
    call avCT(758, 0, 28, 2, 0, VFaF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(758, 1, 29, 3, 0, VFaF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(776)%branchCT(0:0))
    call avCT(776, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4411])

    allocate(vertices(119)%branchCT(0:0))
    call avCT(119, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(723)%branchCT(0:0))
    call avCT(723, 0, 8, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_4938, nGC_4938])

    allocate(vertices(830)%branchCT(0:0))
    call avCT(830, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3124])

    allocate(vertices(769)%branchCT(0:0))
    call avCT(769, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_3122])

    allocate(vertices(746)%branchCT(0:0))
    call avCT(746, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4453])

    allocate(vertices(824)%branchCT(0:0))
    call avCT(824, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_4536])

    allocate(vertices(669)%branchCT(0:0))
    call avCT(669, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(777)%branchCT(0:0))
    call avCT(777, 0, 20, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_3171, nGC_3170])

    allocate(vertices(778)%branchCT(0:0))
    call avCT(778, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(1035)%branchCT(0:0))
    call avCT(1035, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(799)%branchCT(0:0))
    call avCT(799, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(435)%branchCT(0:5))
    call avCT(435, 0, 2, 6, 0, VVVV0, 0, [4, 0, 0], [nGC_5672, nGC_5672,       &
    nGC_5673])

    call avCT(435, 1, 3, 6, 0, VVVV0, 0, [4, 0, 0], [nGC_5672, nGC_5672,       &
    nGC_5673])

    call avCT(435, 2, 4, 7, 0, VVVV0, 0, [4, 0, 0], [nGC_5677, nGC_5676,       &
    nGC_5676])

    call avCT(435, 3, 5, 7, 0, VVVV0, 0, [4, 0, 0], [nGC_5676, nGC_5677,       &
    nGC_5676])

    call avCT(435, 4, 6, 7, 0, VVVV0, 0, [4, 0, 0], [nGC_5677, nGC_5676,       &
    nGC_5676])

    call avCT(435, 5, 7, 7, 0, VVVV0, 0, [4, 0, 0], [nGC_5676, nGC_5677,       &
    nGC_5676])

    allocate(vertices(1036)%branchCT(0:0))
    call avCT(1036, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(488)%branchCT(0:0))
    call avCT(488, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_4559])

    allocate(vertices(788)%branchCT(0:0))
    call avCT(788, 0, 8, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_4472, nGC_4472])

    allocate(vertices(1037)%branchCT(0:0))
    call avCT(1037, 0, 13, 1, 0, VS0, 0, [0, 0, 0], [nGC_5207])

    allocate(vertices(846)%branchCT(0:0))
    call avCT(846, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(658)%branchCT(0:0))
    call avCT(658, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_4780])

    allocate(vertices(795)%branchCT(0:0))
    call avCT(795, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_5057])

    allocate(vertices(802)%branchCT(0:0))
    call avCT(802, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_4704])

    allocate(vertices(934)%branchCT(0:0))
    call avCT(934, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_3167, nGC_3166])

    allocate(vertices(1038)%branchCT(0:0))
    call avCT(1038, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(774)%branchCT(0:0))
    call avCT(774, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_4388, nGC_4388])

    allocate(vertices(808)%branchCT(0:0))
    call avCT(808, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5232, nGC_5232,       &
    nGC_5231])

    allocate(vertices(809)%branchCT(0:0))
    call avCT(809, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(811)%branchCT(0:0))
    call avCT(811, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4726, nGC_4727])

    allocate(vertices(1039)%branchCT(0:0))
    call avCT(1039, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4633])

    allocate(vertices(1040)%branchCT(0:0))
    call avCT(1040, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(877)%branchCT(0:0))
    call avCT(877, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4991])

    allocate(vertices(129)%branchCT(0:0))
    call avCT(129, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(817)%branchCT(0:0))
    call avCT(817, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_3165, nGC_3164])

    allocate(vertices(25)%branchCT(0:0))
    call avCT(25, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(354)%branchCT(0:0))
    call avCT(354, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4773])

    allocate(vertices(724)%branchCT(0:0))
    call avCT(724, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_4411])

    allocate(vertices(825)%branchCT(0:0))
    call avCT(825, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(932)%branchCT(0:0))
    call avCT(932, 0, 8, 1, 0, SFFa2, 0, [0, 1, 0], [nGC_4749])

    allocate(vertices(832)%branchCT(0:0))
    call avCT(832, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_4715])

    allocate(vertices(502)%branchCT(0:0))
    call avCT(502, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3130])

    allocate(vertices(647)%branchCT(0:0))
    call avCT(647, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4715])

    allocate(vertices(837)%branchCT(0:0))
    call avCT(837, 0, 8, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4547, nGC_4548])

    allocate(vertices(1041)%branchCT(0:0))
    call avCT(1041, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(840)%branchCT(0:0))
    call avCT(840, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_5194])

    allocate(vertices(210)%branchCT(0:0))
    call avCT(210, 0, 18, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_4388, nGC_4388])

    allocate(vertices(1042)%branchCT(0:0))
    call avCT(1042, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(790)%branchCT(0:0))
    call avCT(790, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4490])

    allocate(vertices(1043)%branchCT(0:0))
    call avCT(1043, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(124)%branchCT(0:0))
    call avCT(124, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(38)%branchCT(0:0))
    call avCT(38, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_3124])

    allocate(vertices(851)%branchCT(0:0))
    call avCT(851, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(856)%branchCT(0:0))
    call avCT(856, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(858)%branchCT(0:0))
    call avCT(858, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_4766])

    allocate(vertices(859)%branchCT(0:0))
    call avCT(859, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(668)%branchCT(0:0))
    call avCT(668, 0, 18, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_3164, nGC_3165])

    allocate(vertices(866)%branchCT(0:0))
    call avCT(866, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4536])

    allocate(vertices(869)%branchCT(0:0))
    call avCT(869, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(403)%branchCT(0:0))
    call avCT(403, 0, 8, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4792, nGC_4793])

    allocate(vertices(75)%branchCT(0:0))
    call avCT(75, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(876)%branchCT(0:0))
    call avCT(876, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_5194])

    allocate(vertices(323)%branchCT(0:0))
    call avCT(323, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5232, nGC_5231,       &
    nGC_5232])

    allocate(vertices(880)%branchCT(0:0))
    call avCT(880, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(905)%branchCT(0:0))
    call avCT(905, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(342)%branchCT(0:0))
    call avCT(342, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(779)%branchCT(0:0))
    call avCT(779, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3124])

    allocate(vertices(887)%branchCT(0:0))
    call avCT(887, 0, 8, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4644, nGC_4645])

    allocate(vertices(891)%branchCT(0:0))
    call avCT(891, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4701,       &
    nGC_4700])

    allocate(vertices(833)%branchCT(0:0))
    call avCT(833, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4458])

    allocate(vertices(893)%branchCT(0:0))
    call avCT(893, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_5429, nGC_5430])

    allocate(vertices(114)%branchCT(0:0))
    call avCT(114, 0, 20, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_4809, nGC_4809])

    allocate(vertices(414)%branchCT(0:0))
    call avCT(414, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4991])

    allocate(vertices(422)%branchCT(0:0))
    call avCT(422, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(902)%branchCT(0:1))
    call avCT(902, 0, 22, 2, 0, FaFV0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(902, 1, 23, 3, 0, FaFV0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(1044)%branchCT(0:0))
    call avCT(1044, 0, 13, 1, 0, VV1, 0, [0, 0, 0], [nGC_5834, nGC_5835,       &
    nGC_5834, nGC_5835, nGC_5836])

    allocate(vertices(283)%branchCT(0:0))
    call avCT(283, 0, 8, 1, 0, SFaF1, 0, [0, 1, 0], [nGC_4749])

    allocate(vertices(237)%branchCT(0:0))
    call avCT(237, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(907)%branchCT(0:0))
    call avCT(907, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_5194])

    allocate(vertices(360)%branchCT(0:1))
    call avCT(360, 0, 28, 2, 0, VFaF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(360, 1, 29, 3, 0, VFaF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(909)%branchCT(0:0))
    call avCT(909, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(1045)%branchCT(0:0))
    call avCT(1045, 0, 13, 1, 0, FaF0, 0, [0, 0, 0], [nGC_5105, nGC_5102,      &
    nGC_5106, nGC_5106])

    allocate(vertices(1046)%branchCT(0:0))
    call avCT(1046, 0, 13, 1, 0, FaF1, 0, [0, 0, 0], [nGC_4816, nGC_4815])

    allocate(vertices(912)%branchCT(0:0))
    call avCT(912, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_5462])

    allocate(vertices(915)%branchCT(0:0))
    call avCT(915, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4701, nGC_4700,       &
    nGC_4700])

    allocate(vertices(918)%branchCT(0:0))
    call avCT(918, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(1047)%branchCT(0:0))
    call avCT(1047, 0, 13, 1, 0, FFa1, 0, [0, 0, 0], [nGC_4613, nGC_4611,      &
    nGC_4614, nGC_4614])

    allocate(vertices(922)%branchCT(0:0))
    call avCT(922, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4889])

    allocate(vertices(387)%branchCT(0:0))
    call avCT(387, 0, 8, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_4472, nGC_4472])

    allocate(vertices(928)%branchCT(0:0))
    call avCT(928, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5231, nGC_5232,       &
    nGC_5232])

    allocate(vertices(929)%branchCT(0:0))
    call avCT(929, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_5182])

    allocate(vertices(933)%branchCT(0:0))
    call avCT(933, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4991])

    allocate(vertices(936)%branchCT(0:0))
    call avCT(936, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(938)%branchCT(0:0))
    call avCT(938, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(939)%branchCT(0:0))
    call avCT(939, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3121])

    allocate(vertices(660)%branchCT(0:0))
    call avCT(660, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(943)%branchCT(0:0))
    call avCT(943, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(947)%branchCT(0:0))
    call avCT(947, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_3122])

    allocate(vertices(127)%branchCT(0:0))
    call avCT(127, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(951)%branchCT(0:0))
    call avCT(951, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_5006])

    allocate(vertices(959)%branchCT(0:0))
    call avCT(959, 0, 8, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4478, nGC_4478])

    allocate(vertices(236)%branchCT(0:0))
    call avCT(236, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_3124])

    allocate(vertices(962)%branchCT(0:0))
    call avCT(962, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(529)%branchCT(0:0))
    call avCT(529, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_3124])

    allocate(vertices(965)%branchCT(0:0))
    call avCT(965, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(969)%branchCT(0:0))
    call avCT(969, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_4932])

    allocate(vertices(1048)%branchCT(0:0))
    call avCT(1048, 0, 13, 1, 0, VS0, 0, [0, 0, 0], [nGC_4378])

    allocate(vertices(446)%branchCT(0:0))
    call avCT(446, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3130])

    allocate(vertices(838)%branchCT(0:0))
    call avCT(838, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(975)%branchCT(0:0))
    call avCT(975, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4495])

    allocate(vertices(977)%branchCT(0:0))
    call avCT(977, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_3168, nGC_3169])

    allocate(vertices(466)%branchCT(0:0))
    call avCT(466, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_4766])

    allocate(vertices(1049)%branchCT(0:0))
    call avCT(1049, 0, 13, 1, 0, VV2, 0, [0, 0, 0], [nGC_5933, nGC_5929,       &
    nGC_5932])

    allocate(vertices(985)%branchCT(0:0))
    call avCT(985, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4458])

    allocate(vertices(1050)%branchCT(0:0))
    call avCT(1050, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(990)%branchCT(0:0))
    call avCT(990, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4773])

    allocate(vertices(991)%branchCT(0:0))
    call avCT(991, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_5942])

    allocate(vertices(953)%branchCT(0:0))
    call avCT(953, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_4536])

    allocate(vertices(995)%branchCT(0:0))
    call avCT(995, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(996)%branchCT(0:0))
    call avCT(996, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_4776])

    allocate(vertices(1051)%branchCT(0:0))
    call avCT(1051, 0, 42, 1, 0, FaF2, 0, [0, 0, 0], [nGC_3207, nGC_3207])

    allocate(vertices(800)%branchCT(0:0))
    call avCT(800, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4889])

    allocate(vertices(2)%branchCT(0:0))
    call avCT(2, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5232, nGC_5231, nGC_5232&
    ])

    allocate(vertices(22)%branchCT(0:0))
    call avCT(22, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(7)%branchCT(0:0))
    call avCT(7, 0, 19, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(1052)%branchCT(0:0))
    call avCT(1052, 0, 42, 1, 0, FaF0, 0, [0, 0, 0], [nGC_5964, nGC_5962,      &
    nGC_5965, nGC_5965])

    allocate(vertices(10)%branchCT(0:0))
    call avCT(10, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4520])

    allocate(vertices(13)%branchCT(0:0))
    call avCT(13, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_5972])

    allocate(vertices(14)%branchCT(0:0))
    call avCT(14, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_5204])

    allocate(vertices(15)%branchCT(0:0))
    call avCT(15, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4758, nGC_4759])

    allocate(vertices(16)%branchCT(0:0))
    call avCT(16, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(18)%branchCT(0:0))
    call avCT(18, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5132, nGC_5131,        &
    nGC_5131])

    allocate(vertices(125)%branchCT(0:0))
    call avCT(125, 0, 8, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4726, nGC_4727])

    allocate(vertices(659)%branchCT(0:1))
    call avCT(659, 0, 11, 2, 0, FFaV1, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(659, 1, 12, 3, 0, FFaV1, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(1053)%branchCT(0:0))
    call avCT(1053, 0, 14, 1, 0, FFa2, 0, [0, 0, 0], [nGC_3203, nGC_3203])

    allocate(vertices(715)%branchCT(0:0))
    call avCT(715, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_5057])

    allocate(vertices(21)%branchCT(0:0))
    call avCT(21, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(23)%branchCT(0:0))
    call avCT(23, 0, 18, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_3192, nGC_3191])

    allocate(vertices(244)%branchCT(0:0))
    call avCT(244, 0, 8, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_4749])

    allocate(vertices(819)%branchCT(0:0))
    call avCT(819, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(820)%branchCT(0:0))
    call avCT(820, 0, 18, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_5555, nGC_5555])

    allocate(vertices(27)%branchCT(0:0))
    call avCT(27, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_3121])

    allocate(vertices(29)%branchCT(0:0))
    call avCT(29, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(30)%branchCT(0:0))
    call avCT(30, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(214)%branchCT(0:0))
    call avCT(214, 0, 8, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_4445])

    allocate(vertices(202)%branchCT(0:0))
    call avCT(202, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(721)%branchCT(0:1))
    call avCT(721, 0, 30, 2, 0, VFFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(721, 1, 31, 3, 0, VFFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(242)%branchCT(0:1))
    call avCT(242, 0, 38, 4, 0, VUUa0, 0, [3, 0, 0], [nGC_4526])

    call avCT(242, 1, 39, 5, 0, VUUa0, 0, [3, 0, 0], [nGC_4526])

    allocate(vertices(251)%branchCT(0:0))
    call avCT(251, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_4776])

    allocate(vertices(823)%branchCT(0:0))
    call avCT(823, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4889])

    allocate(vertices(40)%branchCT(0:0))
    call avCT(40, 0, 8, 1, 0, FFaS2, 0, [0, 1, 0], [nGC_4572])

    allocate(vertices(42)%branchCT(0:0))
    call avCT(42, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4411])

    allocate(vertices(278)%branchCT(0:0))
    call avCT(278, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(279)%branchCT(0:0))
    call avCT(279, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4644, nGC_4645])

    allocate(vertices(390)%branchCT(0:0))
    call avCT(390, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4906])

    allocate(vertices(49)%branchCT(0:0))
    call avCT(49, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4704])

    allocate(vertices(319)%branchCT(0:0))
    call avCT(319, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4701,       &
    nGC_4700])

    allocate(vertices(1054)%branchCT(0:0))
    call avCT(1054, 0, 42, 1, 0, FaF2, 0, [0, 0, 0], [nGC_3202, nGC_3202])

    allocate(vertices(478)%branchCT(0:0))
    call avCT(478, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(56)%branchCT(0:0))
    call avCT(56, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(579)%branchCT(0:0))
    call avCT(579, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4504, nGC_4505,       &
    nGC_4504])

    allocate(vertices(59)%branchCT(0:1))
    call avCT(59, 0, 11, 2, 0, FFaV1, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(59, 1, 12, 3, 0, FFaV1, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(397)%branchCT(0:0))
    call avCT(397, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(162)%branchCT(0:0))
    call avCT(162, 0, 8, 1, 0, SFFa1, 0, [0, 1, 0], [nGC_4572])

    allocate(vertices(194)%branchCT(0:1))
    call avCT(194, 0, 22, 2, 0, FaFV0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(194, 1, 23, 3, 0, FaFV0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(455)%branchCT(0:0))
    call avCT(455, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_5462])

    allocate(vertices(1055)%branchCT(0:0))
    call avCT(1055, 0, 13, 1, 0, SV0, 0, [0, 0, 0], [nGC_5237])

    allocate(vertices(73)%branchCT(0:0))
    call avCT(73, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(261)%branchCT(0:0))
    call avCT(261, 0, 8, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_4572])

    allocate(vertices(78)%branchCT(0:0))
    call avCT(78, 0, 18, 1, 0, FaSF0, 0, [0, 1, 1], [nGC_4657, nGC_4657])

    allocate(vertices(834)%branchCT(0:0))
    call avCT(834, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(512)%branchCT(0:0))
    call avCT(512, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_6093])

    allocate(vertices(307)%branchCT(0:0))
    call avCT(307, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_5462])

  end subroutine fill_vertices_mdl2
end module vertices_info2
