!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-22 13:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  implicit none
  contains
  subroutine fill_vertices_mdl3()
    use class_vertices
    use class_couplings
    allocate(vertices(82)%branchCT(0:0))
    call avCT(82, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4809, nGC_4809])

    allocate(vertices(826)%branchCT(0:0))
    call avCT(826, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4773])

    allocate(vertices(182)%branchCT(0:0))
    call avCT(182, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(84)%branchCT(0:0))
    call avCT(84, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(621)%branchCT(0:0))
    call avCT(621, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(1056)%branchCT(0:0))
    call avCT(1056, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(584)%branchCT(0:0))
    call avCT(584, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4875])

    allocate(vertices(239)%branchCT(0:0))
    call avCT(239, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(92)%branchCT(0:0))
    call avCT(92, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(766)%branchCT(0:0))
    call avCT(766, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(451)%branchCT(0:0))
    call avCT(451, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_6093])

    allocate(vertices(623)%branchCT(0:0))
    call avCT(623, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_5462])

    allocate(vertices(97)%branchCT(0:0))
    call avCT(97, 0, 8, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_4445])

    allocate(vertices(573)%branchCT(0:0))
    call avCT(573, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(100)%branchCT(0:0))
    call avCT(100, 0, 21, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(1057)%branchCT(0:0))
    call avCT(1057, 0, 14, 1, 0, FFa2, 0, [0, 0, 0], [nGC_3207, nGC_3207])

    allocate(vertices(187)%branchCT(0:0))
    call avCT(187, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_4776])

    allocate(vertices(107)%branchCT(0:0))
    call avCT(107, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(608)%branchCT(0:0))
    call avCT(608, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4491])

    allocate(vertices(717)%branchCT(0:0))
    call avCT(717, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4495])

    allocate(vertices(113)%branchCT(0:0))
    call avCT(113, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_3124])

    allocate(vertices(737)%branchCT(0:0))
    call avCT(737, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(376)%branchCT(0:0))
    call avCT(376, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_4559])

    allocate(vertices(120)%branchCT(0:1))
    call avCT(120, 0, 30, 2, 0, VFFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(120, 1, 31, 3, 0, VFFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(123)%branchCT(0:0))
    call avCT(123, 0, 10, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(937)%branchCT(0:0))
    call avCT(937, 0, 8, 1, 0, FSFa2, 0, [0, 1, 0], [nGC_4572])

    allocate(vertices(128)%branchCT(0:1))
    call avCT(128, 0, 28, 2, 0, VFaF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(128, 1, 29, 3, 0, VFaF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(131)%branchCT(0:0))
    call avCT(131, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(954)%branchCT(0:0))
    call avCT(954, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_4991])

    allocate(vertices(133)%branchCT(0:0))
    call avCT(133, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4700,       &
    nGC_4701])

    allocate(vertices(911)%branchCT(0:0))
    call avCT(911, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_3124])

    allocate(vertices(142)%branchCT(0:0))
    call avCT(142, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_4932])

    allocate(vertices(144)%branchCT(0:0))
    call avCT(144, 0, 8, 1, 0, FaFS1, 0, [0, 1, 0], [nGC_4749])

    allocate(vertices(145)%branchCT(0:0))
    call avCT(145, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(146)%branchCT(0:0))
    call avCT(146, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(147)%branchCT(0:0))
    call avCT(147, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_4536])

    allocate(vertices(624)%branchCT(0:1))
    call avCT(624, 0, 28, 2, 0, VFaF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(624, 1, 29, 3, 0, VFaF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(1058)%branchCT(0:0))
    call avCT(1058, 0, 13, 1, 0, FaF0, 0, [0, 0, 0], [nGC_5382, nGC_5379,      &
    nGC_5383, nGC_5383])

    allocate(vertices(11)%branchCT(0:0))
    call avCT(11, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_3189, nGC_3190])

    allocate(vertices(152)%branchCT(0:0))
    call avCT(152, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(731)%branchCT(0:0))
    call avCT(731, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5131, nGC_5132,       &
    nGC_5131])

    allocate(vertices(672)%branchCT(0:0))
    call avCT(672, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4589])

    allocate(vertices(1059)%branchCT(0:0))
    call avCT(1059, 0, 13, 1, 0, VV1, 0, [0, 0, 0], [nGC_5835, nGC_5834,       &
    nGC_5835, nGC_5834, nGC_5836])

    allocate(vertices(60)%branchCT(0:0))
    call avCT(60, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(868)%branchCT(0:0))
    call avCT(868, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_5006])

    allocate(vertices(163)%branchCT(0:0))
    call avCT(163, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_5057])

    allocate(vertices(164)%branchCT(0:0))
    call avCT(164, 0, 8, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_5151, nGC_5152])

    allocate(vertices(83)%branchCT(0:0))
    call avCT(83, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4700,        &
    nGC_4701])

    allocate(vertices(166)%branchCT(0:0))
    call avCT(166, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4889])

    allocate(vertices(169)%branchCT(0:0))
    call avCT(169, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5232, nGC_5232,       &
    nGC_5231])

    allocate(vertices(170)%branchCT(0:0))
    call avCT(170, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_4932])

    allocate(vertices(789)%branchCT(0:0))
    call avCT(789, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_4629])

    allocate(vertices(174)%branchCT(0:0))
    call avCT(174, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4504, nGC_4504,       &
    nGC_4505])

    allocate(vertices(175)%branchCT(0:0))
    call avCT(175, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_5462])

    allocate(vertices(1060)%branchCT(0:0))
    call avCT(1060, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4633])

    allocate(vertices(177)%branchCT(0:0))
    call avCT(177, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(180)%branchCT(0:0))
    call avCT(180, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(850)%branchCT(0:0))
    call avCT(850, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_4780])

    allocate(vertices(1061)%branchCT(0:0))
    call avCT(1061, 0, 13, 1, 0, VV2, 0, [0, 0, 0], [nGC_6250, nGC_6246,       &
    nGC_6249])

    allocate(vertices(1062)%branchCT(0:0))
    call avCT(1062, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(186)%branchCT(0:0))
    call avCT(186, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_3127])

    allocate(vertices(188)%branchCT(0:0))
    call avCT(188, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(855)%branchCT(0:1))
    call avCT(855, 0, 0, 4, 0, VVV0, 0, [3, 0, 0], [nGC_6258])

    call avCT(855, 1, 1, 5, 0, VVV0, 0, [3, 0, 0], [nGC_6258])

    allocate(vertices(892)%branchCT(0:0))
    call avCT(892, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_3127])

    allocate(vertices(1063)%branchCT(0:0))
    call avCT(1063, 0, 13, 1, 0, VV3, 0, [0, 0, 0], [nGC_6250, nGC_6246,       &
    nGC_6249])

    allocate(vertices(807)%branchCT(0:0))
    call avCT(807, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(199)%branchCT(0:0))
    call avCT(199, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_5006])

    allocate(vertices(200)%branchCT(0:0))
    call avCT(200, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(201)%branchCT(0:0))
    call avCT(201, 0, 8, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_4465, nGC_4464])

    allocate(vertices(369)%branchCT(0:0))
    call avCT(369, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(304)%branchCT(0:0))
    call avCT(304, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_5971])

    allocate(vertices(1064)%branchCT(0:0))
    call avCT(1064, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(707)%branchCT(0:0))
    call avCT(707, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_5182])

    allocate(vertices(653)%branchCT(0:0))
    call avCT(653, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_3121])

    allocate(vertices(219)%branchCT(0:0))
    call avCT(219, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_4381])

    allocate(vertices(220)%branchCT(0:0))
    call avCT(220, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(225)%branchCT(0:0))
    call avCT(225, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4758, nGC_4759])

    allocate(vertices(227)%branchCT(0:0))
    call avCT(227, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(229)%branchCT(0:0))
    call avCT(229, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(233)%branchCT(0:0))
    call avCT(233, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(728)%branchCT(0:0))
    call avCT(728, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(508)%branchCT(0:0))
    call avCT(508, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5131, nGC_5132,       &
    nGC_5131])

    allocate(vertices(241)%branchCT(0:0))
    call avCT(241, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_4490])

    allocate(vertices(484)%branchCT(0:0))
    call avCT(484, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(243)%branchCT(0:0))
    call avCT(243, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4536])

    allocate(vertices(245)%branchCT(0:0))
    call avCT(245, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_4411])

    allocate(vertices(572)%branchCT(0:0))
    call avCT(572, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4495])

    allocate(vertices(248)%branchCT(0:0))
    call avCT(248, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4906])

    allocate(vertices(405)%branchCT(0:0))
    call avCT(405, 0, 19, 1, 0, FSFa0, 0, [0, 1, 1], [nGC_4648, nGC_4648])

    allocate(vertices(558)%branchCT(0:0))
    call avCT(558, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(571)%branchCT(0:0))
    call avCT(571, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_6329])

    allocate(vertices(256)%branchCT(0:0))
    call avCT(256, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(260)%branchCT(0:0))
    call avCT(260, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4758, nGC_4759])

    allocate(vertices(262)%branchCT(0:0))
    call avCT(262, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(618)%branchCT(0:0))
    call avCT(618, 0, 19, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(630)%branchCT(0:0))
    call avCT(630, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4700,       &
    nGC_4701])

    allocate(vertices(193)%branchCT(0:0))
    call avCT(193, 0, 8, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4938, nGC_4938])

    allocate(vertices(641)%branchCT(0:0))
    call avCT(641, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_3122])

    allocate(vertices(609)%branchCT(0:0))
    call avCT(609, 0, 8, 1, 0, FSFa1, 0, [0, 1, 0], [nGC_4749])

    allocate(vertices(198)%branchCT(0:0))
    call avCT(198, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_5022])

    allocate(vertices(270)%branchCT(0:0))
    call avCT(270, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(272)%branchCT(0:0))
    call avCT(272, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4991])

    allocate(vertices(275)%branchCT(0:0))
    call avCT(275, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(277)%branchCT(0:0))
    call avCT(277, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(773)%branchCT(0:0))
    call avCT(773, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(1065)%branchCT(0:0))
    call avCT(1065, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(280)%branchCT(0:0))
    call avCT(280, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4458])

    allocate(vertices(792)%branchCT(0:0))
    call avCT(792, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_5194])

    allocate(vertices(284)%branchCT(0:0))
    call avCT(284, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(286)%branchCT(0:0))
    call avCT(286, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4890])

    allocate(vertices(578)%branchCT(0:0))
    call avCT(578, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4912, nGC_4912])

    allocate(vertices(288)%branchCT(0:0))
    call avCT(288, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_5179])

    allocate(vertices(1066)%branchCT(0:0))
    call avCT(1066, 0, 42, 1, 0, FaF2, 0, [0, 0, 0], [nGC_3203, nGC_3203])

    allocate(vertices(36)%branchCT(0:0))
    call avCT(36, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_4890])

    allocate(vertices(291)%branchCT(0:0))
    call avCT(291, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(292)%branchCT(0:0))
    call avCT(292, 0, 20, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_3164, nGC_3165])

    allocate(vertices(872)%branchCT(0:0))
    call avCT(872, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(404)%branchCT(0:0))
    call avCT(404, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_4776])

    allocate(vertices(297)%branchCT(0:0))
    call avCT(297, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(298)%branchCT(0:0))
    call avCT(298, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_5057])

    allocate(vertices(299)%branchCT(0:0))
    call avCT(299, 0, 21, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(301)%branchCT(0:0))
    call avCT(301, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_5462])

    allocate(vertices(303)%branchCT(0:0))
    call avCT(303, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4875])

    allocate(vertices(313)%branchCT(0:0))
    call avCT(313, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(315)%branchCT(0:0))
    call avCT(315, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4701, nGC_4700,       &
    nGC_4700])

    allocate(vertices(373)%branchCT(0:0))
    call avCT(373, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_4628])

    allocate(vertices(316)%branchCT(0:0))
    call avCT(316, 0, 17, 1, 0, FaFS0, 0, [0, 1, 1], [nGC_3173, nGC_3172])

    allocate(vertices(547)%branchCT(0:0))
    call avCT(547, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_5006])

    allocate(vertices(320)%branchCT(0:0))
    call avCT(320, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4458])

    allocate(vertices(79)%branchCT(0:0))
    call avCT(79, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5232, nGC_5232,        &
    nGC_5231])

    allocate(vertices(752)%branchCT(0:0))
    call avCT(752, 0, 8, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_4445])

    allocate(vertices(329)%branchCT(0:0))
    call avCT(329, 0, 18, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_4912, nGC_4912])

    allocate(vertices(330)%branchCT(0:0))
    call avCT(330, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(331)%branchCT(0:0))
    call avCT(331, 0, 20, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_3189, nGC_3190])

    allocate(vertices(332)%branchCT(0:0))
    call avCT(332, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(1067)%branchCT(0:0))
    call avCT(1067, 0, 13, 1, 0, FFa0, 0, [0, 0, 0], [nGC_6431, nGC_6430])

    allocate(vertices(334)%branchCT(0:0))
    call avCT(334, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(738)%branchCT(0:0))
    call avCT(738, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_3124])

    allocate(vertices(337)%branchCT(0:0))
    call avCT(337, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4906])

    allocate(vertices(582)%branchCT(0:0))
    call avCT(582, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(190)%branchCT(0:0))
    call avCT(190, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(205)%branchCT(0:0))
    call avCT(205, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_4559])

    allocate(vertices(884)%branchCT(0:0))
    call avCT(884, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(216)%branchCT(0:0))
    call avCT(216, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4458])

    allocate(vertices(348)%branchCT(0:0))
    call avCT(348, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4701, nGC_4700,       &
    nGC_4700])

    allocate(vertices(461)%branchCT(0:0))
    call avCT(461, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_3164, nGC_3165])

    allocate(vertices(351)%branchCT(0:0))
    call avCT(351, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_5462])

    allocate(vertices(352)%branchCT(0:0))
    call avCT(352, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5132, nGC_5131,       &
    nGC_5131])

    allocate(vertices(886)%branchCT(0:0))
    call avCT(886, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(742)%branchCT(0:0))
    call avCT(742, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(948)%branchCT(0:0))
    call avCT(948, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_5972])

    allocate(vertices(359)%branchCT(0:0))
    call avCT(359, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4453])

    allocate(vertices(168)%branchCT(0:0))
    call avCT(168, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(325)%branchCT(0:0))
    call avCT(325, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4946, nGC_4947])

    allocate(vertices(363)%branchCT(0:0))
    call avCT(363, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4780])

    allocate(vertices(364)%branchCT(0:0))
    call avCT(364, 0, 8, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_4422, nGC_4423])

    allocate(vertices(365)%branchCT(0:0))
    call avCT(365, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4495])

    allocate(vertices(368)%branchCT(0:0))
    call avCT(368, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_5194])

    allocate(vertices(1068)%branchCT(0:0))
    call avCT(1068, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(761)%branchCT(0:0))
    call avCT(761, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(1069)%branchCT(0:0))
    call avCT(1069, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(372)%branchCT(0:0))
    call avCT(372, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_3126])

    allocate(vertices(380)%branchCT(0:0))
    call avCT(380, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(33)%branchCT(0:0))
    call avCT(33, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(377)%branchCT(0:0))
    call avCT(377, 0, 18, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_3189, nGC_3190])

    allocate(vertices(378)%branchCT(0:0))
    call avCT(378, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_6508])

    allocate(vertices(379)%branchCT(0:0))
    call avCT(379, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_5555, nGC_5555])

    allocate(vertices(41)%branchCT(0:0))
    call avCT(41, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(1070)%branchCT(0:0))
    call avCT(1070, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_5452])

    allocate(vertices(433)%branchCT(0:0))
    call avCT(433, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_5057])

    allocate(vertices(383)%branchCT(0:0))
    call avCT(383, 0, 18, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_3165, nGC_3164])

    allocate(vertices(384)%branchCT(0:0))
    call avCT(384, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_5006])

    allocate(vertices(385)%branchCT(0:0))
    call avCT(385, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4458])

    allocate(vertices(386)%branchCT(0:0))
    call avCT(386, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_3192, nGC_3191])

    allocate(vertices(228)%branchCT(0:0))
    call avCT(228, 0, 8, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4422, nGC_4423])

    allocate(vertices(362)%branchCT(0:0))
    call avCT(362, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_5204])

    allocate(vertices(391)%branchCT(0:0))
    call avCT(391, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(392)%branchCT(0:0))
    call avCT(392, 0, 10, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(394)%branchCT(0:0))
    call avCT(394, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4906])

    allocate(vertices(785)%branchCT(0:0))
    call avCT(785, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(550)%branchCT(0:0))
    call avCT(550, 0, 8, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4644, nGC_4645])

    allocate(vertices(901)%branchCT(0:0))
    call avCT(901, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4704])

    allocate(vertices(400)%branchCT(0:0))
    call avCT(400, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3130])

    allocate(vertices(556)%branchCT(0:0))
    call avCT(556, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_6093])

    allocate(vertices(568)%branchCT(0:0))
    call avCT(568, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(794)%branchCT(0:0))
    call avCT(794, 0, 18, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(836)%branchCT(0:0))
    call avCT(836, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_5204])

    allocate(vertices(589)%branchCT(0:0))
    call avCT(589, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4700,       &
    nGC_4701])

    allocate(vertices(410)%branchCT(0:0))
    call avCT(410, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(863)%branchCT(0:1))
    call avCT(863, 0, 30, 2, 0, VFFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(863, 1, 31, 3, 0, VFFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(418)%branchCT(0:0))
    call avCT(418, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(419)%branchCT(0:0))
    call avCT(419, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_3168, nGC_3169])

    allocate(vertices(683)%branchCT(0:0))
    call avCT(683, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_5022])

    allocate(vertices(1071)%branchCT(0:0))
    call avCT(1071, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4633])

    allocate(vertices(424)%branchCT(0:0))
    call avCT(424, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_5194])

    allocate(vertices(231)%branchCT(0:0))
    call avCT(231, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3130])

    allocate(vertices(427)%branchCT(0:0))
    call avCT(427, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_5194])

    allocate(vertices(429)%branchCT(0:0))
    call avCT(429, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(430)%branchCT(0:0))
    call avCT(430, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_4889])

    allocate(vertices(47)%branchCT(0:0))
    call avCT(47, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(434)%branchCT(0:0))
    call avCT(434, 0, 8, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_5429, nGC_5430])

    allocate(vertices(904)%branchCT(0:0))
    call avCT(904, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_5462])

    allocate(vertices(436)%branchCT(0:0))
    call avCT(436, 0, 8, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4478, nGC_4478])

    allocate(vertices(67)%branchCT(0:0))
    call avCT(67, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4906])

    allocate(vertices(439)%branchCT(0:0))
    call avCT(439, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(638)%branchCT(0:0))
    call avCT(638, 0, 8, 1, 0, FaSF2, 0, [0, 1, 0], [nGC_4572])

    allocate(vertices(1072)%branchCT(0:0))
    call avCT(1072, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(441)%branchCT(0:1))
    call avCT(441, 0, 24, 2, 0, FaVF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(441, 1, 25, 3, 0, FaVF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(445)%branchCT(0:0))
    call avCT(445, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4504, nGC_4504,       &
    nGC_4505])

    allocate(vertices(906)%branchCT(0:0))
    call avCT(906, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_4559])

    allocate(vertices(448)%branchCT(0:0))
    call avCT(448, 0, 18, 1, 0, FaSF0, 0, [0, 1, 1], [nGC_4648, nGC_4648])

    allocate(vertices(450)%branchCT(0:0))
    call avCT(450, 0, 8, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_4416, nGC_4417])

    allocate(vertices(238)%branchCT(0:0))
    call avCT(238, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_3126])

    allocate(vertices(452)%branchCT(0:0))
    call avCT(452, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(551)%branchCT(0:0))
    call avCT(551, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(454)%branchCT(0:0))
    call avCT(454, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4946, nGC_4947])

    allocate(vertices(458)%branchCT(0:0))
    call avCT(458, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(843)%branchCT(0:0))
    call avCT(843, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_5555, nGC_5555])

    allocate(vertices(462)%branchCT(0:0))
    call avCT(462, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(599)%branchCT(0:0))
    call avCT(599, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_4890])

    allocate(vertices(467)%branchCT(0:0))
    call avCT(467, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4701,       &
    nGC_4700])

    allocate(vertices(302)%branchCT(0:0))
    call avCT(302, 0, 8, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_5429, nGC_5430])

    allocate(vertices(726)%branchCT(0:0))
    call avCT(726, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_5006])

    allocate(vertices(476)%branchCT(0:0))
    call avCT(476, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(345)%branchCT(0:0))
    call avCT(345, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_4520])

    allocate(vertices(32)%branchCT(0:0))
    call avCT(32, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4758, nGC_4759])

    allocate(vertices(481)%branchCT(0:0))
    call avCT(481, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4906])

    allocate(vertices(486)%branchCT(0:0))
    call avCT(486, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(487)%branchCT(0:0))
    call avCT(487, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_5462])

    allocate(vertices(489)%branchCT(0:0))
    call avCT(489, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(503)%branchCT(0:0))
    call avCT(503, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(656)%branchCT(0:0))
    call avCT(656, 0, 8, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_5429, nGC_5430])

    allocate(vertices(492)%branchCT(0:0))
    call avCT(492, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_3127])

    allocate(vertices(1073)%branchCT(0:0))
    call avCT(1073, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(141)%branchCT(0:0))
    call avCT(141, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4701, nGC_4700,       &
    nGC_4700])

    allocate(vertices(249)%branchCT(0:0))
    call avCT(249, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(561)%branchCT(0:0))
    call avCT(561, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(499)%branchCT(0:0))
    call avCT(499, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4875])

    allocate(vertices(1074)%branchCT(0:0))
    call avCT(1074, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(505)%branchCT(0:0))
    call avCT(505, 0, 8, 1, 0, FSFa2, 0, [0, 1, 0], [nGC_4445])

    allocate(vertices(822)%branchCT(0:0))
    call avCT(822, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_4589])

    allocate(vertices(924)%branchCT(0:0))
    call avCT(924, 0, 8, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_4416, nGC_4417])

    allocate(vertices(138)%branchCT(0:0))
    call avCT(138, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_5151, nGC_5152])

    allocate(vertices(513)%branchCT(0:0))
    call avCT(513, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_4536])

    allocate(vertices(515)%branchCT(0:1))
    call avCT(515, 0, 0, 4, 0, UaUV0, 0, [3, 0, 0], [nGC_4526])

    call avCT(515, 1, 1, 5, 0, UaUV0, 0, [3, 0, 0], [nGC_4526])

    allocate(vertices(517)%branchCT(0:0))
    call avCT(517, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_4589])

    allocate(vertices(732)%branchCT(0:0))
    call avCT(732, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(289)%branchCT(0:0))
    call avCT(289, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4875])

    allocate(vertices(522)%branchCT(0:0))
    call avCT(522, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(523)%branchCT(0:0))
    call avCT(523, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(525)%branchCT(0:0))
    call avCT(525, 0, 8, 1, 0, FSFa2, 0, [0, 1, 0], [nGC_4749])

    allocate(vertices(526)%branchCT(0:0))
    call avCT(526, 0, 18, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_3171, nGC_3170])

    allocate(vertices(528)%branchCT(0:0))
    call avCT(528, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_4559])

    allocate(vertices(580)%branchCT(0:0))
    call avCT(580, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_3124])

    allocate(vertices(531)%branchCT(0:0))
    call avCT(531, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_3164, nGC_3165])

    allocate(vertices(212)%branchCT(0:0))
    call avCT(212, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4991])

    allocate(vertices(534)%branchCT(0:0))
    call avCT(534, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4701, nGC_4700,       &
    nGC_4700])

    allocate(vertices(538)%branchCT(0:0))
    call avCT(538, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_4411])

    allocate(vertices(1075)%branchCT(0:1))
    call avCT(1075, 0, 15, 1, 0, VV0, 0, [2, 0, 0], [nGC_6750, nGC_6749])

    call avCT(1075, 1, 16, 8, 0, VV0, 0, [2, 0, 0], [nGC_6750, nGC_6749])

    allocate(vertices(919)%branchCT(0:0))
    call avCT(919, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_4912, nGC_4912])

    allocate(vertices(543)%branchCT(0:0))
    call avCT(543, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_4559])

    allocate(vertices(980)%branchCT(0:0))
    call avCT(980, 0, 8, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4644, nGC_4645])

    allocate(vertices(548)%branchCT(0:0))
    call avCT(548, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4875])

    allocate(vertices(444)%branchCT(0:0))
    call avCT(444, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_4776])

    allocate(vertices(221)%branchCT(0:0))
    call avCT(221, 0, 8, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4726, nGC_4727])

    allocate(vertices(552)%branchCT(0:0))
    call avCT(552, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_5462])

    allocate(vertices(555)%branchCT(0:0))
    call avCT(555, 0, 8, 1, 0, FaFS1, 0, [0, 1, 0], [nGC_4445])

    allocate(vertices(696)%branchCT(0:0))
    call avCT(696, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_5971])

    allocate(vertices(74)%branchCT(0:0))
    call avCT(74, 0, 8, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_4478, nGC_4478])

    allocate(vertices(560)%branchCT(0:0))
    call avCT(560, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(498)%branchCT(0:0))
    call avCT(498, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(745)%branchCT(0:0))
    call avCT(745, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(269)%branchCT(0:0))
    call avCT(269, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_5942])

    allocate(vertices(565)%branchCT(0:0))
    call avCT(565, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(566)%branchCT(0:0))
    call avCT(566, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(625)%branchCT(0:0))
    call avCT(625, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4701,       &
    nGC_4700])

    allocate(vertices(1076)%branchCT(0:0))
    call avCT(1076, 0, 14, 1, 0, FFa1, 0, [0, 0, 0], [nGC_5964, nGC_5962,      &
    nGC_5965, nGC_5965])

    allocate(vertices(1077)%branchCT(0:0))
    call avCT(1077, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_5453])

    allocate(vertices(570)%branchCT(0:0))
    call avCT(570, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(576)%branchCT(0:0))
    call avCT(576, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_5006])

    allocate(vertices(1078)%branchCT(0:0))
    call avCT(1078, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(575)%branchCT(0:0))
    call avCT(575, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4906])

    allocate(vertices(396)%branchCT(0:0))
    call avCT(396, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_3124])

    allocate(vertices(577)%branchCT(0:0))
    call avCT(577, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_4559])

    allocate(vertices(857)%branchCT(0:0))
    call avCT(857, 0, 8, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_4422, nGC_4423])

    allocate(vertices(457)%branchCT(0:0))
    call avCT(457, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3130])

    allocate(vertices(748)%branchCT(0:0))
    call avCT(748, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(583)%branchCT(0:0))
    call avCT(583, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(197)%branchCT(0:0))
    call avCT(197, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(590)%branchCT(0:0))
    call avCT(590, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4458])

    allocate(vertices(591)%branchCT(0:0))
    call avCT(591, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_5942])

    allocate(vertices(592)%branchCT(0:0))
    call avCT(592, 0, 8, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_4422, nGC_4423])

    allocate(vertices(593)%branchCT(0:0))
    call avCT(593, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_5179])

    allocate(vertices(957)%branchCT(0:0))
    call avCT(957, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_4715])

    allocate(vertices(132)%branchCT(0:0))
    call avCT(132, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(598)%branchCT(0:0))
    call avCT(598, 0, 8, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_5429, nGC_5430])

    allocate(vertices(603)%branchCT(0:0))
    call avCT(603, 0, 20, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_3165, nGC_3164])

    allocate(vertices(1079)%branchCT(0:0))
    call avCT(1079, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(674)%branchCT(0:0))
    call avCT(674, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_5971])

    allocate(vertices(605)%branchCT(0:0))
    call avCT(605, 0, 10, 1, 0, FFaS1, 0, [0, 1, 1], [nGC_3173, nGC_3172])

    allocate(vertices(930)%branchCT(0:0))
    call avCT(930, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4991])

    allocate(vertices(607)%branchCT(0:0))
    call avCT(607, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_4559])

    allocate(vertices(610)%branchCT(0:0))
    call avCT(610, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_3171, nGC_3170])

    allocate(vertices(992)%branchCT(0:0))
    call avCT(992, 0, 8, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4792, nGC_4793])

    allocate(vertices(935)%branchCT(0:0))
    call avCT(935, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_4559])

    allocate(vertices(644)%branchCT(0:0))
    call avCT(644, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_5194])

    allocate(vertices(616)%branchCT(0:0))
    call avCT(616, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(402)%branchCT(0:0))
    call avCT(402, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_3127])

    allocate(vertices(622)%branchCT(0:0))
    call avCT(622, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_4991])

    allocate(vertices(626)%branchCT(0:0))
    call avCT(626, 0, 18, 1, 0, FaSF0, 0, [0, 1, 1], [nGC_3173, nGC_3172])

    allocate(vertices(431)%branchCT(0:0))
    call avCT(431, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_3127])

    allocate(vertices(631)%branchCT(0:0))
    call avCT(631, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4458])

    allocate(vertices(68)%branchCT(0:0))
    call avCT(68, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_5972])

    allocate(vertices(1080)%branchCT(0:0))
    call avCT(1080, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(347)%branchCT(0:0))
    call avCT(347, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_6893])

    allocate(vertices(639)%branchCT(0:0))
    call avCT(639, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(791)%branchCT(0:0))
    call avCT(791, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_5182])

    allocate(vertices(786)%branchCT(0:0))
    call avCT(786, 0, 19, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(646)%branchCT(0:0))
    call avCT(646, 0, 17, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(648)%branchCT(0:0))
    call avCT(648, 0, 20, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_3168, nGC_3169])

    allocate(vertices(650)%branchCT(0:0))
    call avCT(650, 0, 8, 1, 0, FaFS2, 0, [0, 1, 0], [nGC_4572])

    allocate(vertices(920)%branchCT(0:0))
    call avCT(920, 0, 8, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4547, nGC_4548])

    allocate(vertices(306)%branchCT(0:0))
    call avCT(306, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(389)%branchCT(0:0))
    call avCT(389, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_4889])

    allocate(vertices(663)%branchCT(0:0))
    call avCT(663, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4490])

    allocate(vertices(1081)%branchCT(0:0))
    call avCT(1081, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(670)%branchCT(0:0))
    call avCT(670, 0, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_3166, nGC_3167])

    allocate(vertices(167)%branchCT(0:0))
    call avCT(167, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3131])

    allocate(vertices(108)%branchCT(0:0))
    call avCT(108, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_3126])

    allocate(vertices(673)%branchCT(0:0))
    call avCT(673, 0, 20, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_3166, nGC_3167])

    allocate(vertices(675)%branchCT(0:0))
    call avCT(675, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4700,       &
    nGC_4701])

    allocate(vertices(676)%branchCT(0:0))
    call avCT(676, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_5179])

    allocate(vertices(677)%branchCT(0:0))
    call avCT(677, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_3164, nGC_3165])

    allocate(vertices(679)%branchCT(0:0))
    call avCT(679, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_3122])

    allocate(vertices(680)%branchCT(0:0))
    call avCT(680, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5232, nGC_5231,       &
    nGC_5232])

    allocate(vertices(246)%branchCT(0:0))
    call avCT(246, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(976)%branchCT(0:0))
    call avCT(976, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4504, nGC_4504,       &
    nGC_4505])

    allocate(vertices(259)%branchCT(0:0))
    call avCT(259, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3126])

    allocate(vertices(686)%branchCT(0:0))
    call avCT(686, 0, 20, 1, 0, SFaF2, 0, [0, 1, 1], [nGC_4657, nGC_4657])

    allocate(vertices(688)%branchCT(0:0))
    call avCT(688, 0, 8, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_5151, nGC_5152])

    allocate(vertices(821)%branchCT(0:0))
    call avCT(821, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_3127])

    allocate(vertices(690)%branchCT(0:0))
    call avCT(690, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_5204])

    allocate(vertices(398)%branchCT(0:0))
    call avCT(398, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4912, nGC_4912])

    allocate(vertices(539)%branchCT(0:0))
    call avCT(539, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(694)%branchCT(0:0))
    call avCT(694, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(695)%branchCT(0:0))
    call avCT(695, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(336)%branchCT(0:0))
    call avCT(336, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(699)%branchCT(0:0))
    call avCT(699, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(173)%branchCT(0:0))
    call avCT(173, 0, 8, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_4938, nGC_4938])

    allocate(vertices(99)%branchCT(0:0))
    call avCT(99, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_4776])

    allocate(vertices(470)%branchCT(0:0))
    call avCT(470, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4932])

    allocate(vertices(370)%branchCT(0:0))
    call avCT(370, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4453])

    allocate(vertices(53)%branchCT(0:0))
    call avCT(53, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_4431])

    allocate(vertices(706)%branchCT(0:0))
    call avCT(706, 0, 20, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_4388, nGC_4388])

    allocate(vertices(1082)%branchCT(0:0))
    call avCT(1082, 0, 14, 1, 0, FFa2, 0, [0, 0, 0], [nGC_3206, nGC_3206])

    allocate(vertices(710)%branchCT(0:0))
    call avCT(710, 0, 18, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4402, nGC_4403])

    allocate(vertices(1083)%branchCT(0:0))
    call avCT(1083, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(712)%branchCT(0:0))
    call avCT(712, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4875])

    allocate(vertices(988)%branchCT(0:0))
    call avCT(988, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_4589])

    allocate(vertices(714)%branchCT(0:0))
    call avCT(714, 0, 8, 1, 0, SFaF1, 0, [0, 1, 0], [nGC_4445])

    allocate(vertices(1084)%branchCT(0:0))
    call avCT(1084, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(885)%branchCT(0:0))
    call avCT(885, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(1085)%branchCT(0:0))
    call avCT(1085, 0, 42, 1, 0, FaF2, 0, [0, 0, 0], [nGC_3206, nGC_3206])

    allocate(vertices(719)%branchCT(0:0))
    call avCT(719, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(720)%branchCT(0:0))
    call avCT(720, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(725)%branchCT(0:0))
    call avCT(725, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_5057])

    allocate(vertices(727)%branchCT(0:0))
    call avCT(727, 0, 8, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4726, nGC_4727])

    allocate(vertices(730)%branchCT(0:0))
    call avCT(730, 0, 8, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4416, nGC_4417])

    allocate(vertices(1086)%branchCT(0:0))
    call avCT(1086, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4633])

    allocate(vertices(734)%branchCT(0:0))
    call avCT(734, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4458])

    allocate(vertices(770)%branchCT(0:0))
    call avCT(770, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4701,       &
    nGC_4700])

    allocate(vertices(740)%branchCT(0:0))
    call avCT(740, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(741)%branchCT(0:0))
    call avCT(741, 0, 18, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_3167, nGC_3166])

    allocate(vertices(442)%branchCT(0:0))
    call avCT(442, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4946, nGC_4947])

    allocate(vertices(1087)%branchCT(0:0))
    call avCT(1087, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_5452])

    allocate(vertices(818)%branchCT(0:0))
    call avCT(818, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4504, nGC_4505,       &
    nGC_4504])

    allocate(vertices(636)%branchCT(0:0))
    call avCT(636, 0, 10, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4608])

    allocate(vertices(602)%branchCT(0:0))
    call avCT(602, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(753)%branchCT(0:0))
    call avCT(753, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_3192, nGC_3191])

    allocate(vertices(627)%branchCT(0:0))
    call avCT(627, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_3121])

    allocate(vertices(756)%branchCT(0:0))
    call avCT(756, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4450])

    allocate(vertices(759)%branchCT(0:0))
    call avCT(759, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(760)%branchCT(0:0))
    call avCT(760, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_3121])

    allocate(vertices(763)%branchCT(0:0))
    call avCT(763, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4504, nGC_4505,       &
    nGC_4504])

    allocate(vertices(604)%branchCT(0:1))
    call avCT(604, 0, 11, 2, 0, FFaV1, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(604, 1, 12, 3, 0, FFaV1, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(767)%branchCT(0:0))
    call avCT(767, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(999)%branchCT(0:0))
    call avCT(999, 0, 8, 1, 0, FSFa1, 0, [0, 1, 0], [nGC_4572])

    allocate(vertices(775)%branchCT(0:0))
    call avCT(775, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(1088)%branchCT(0:0))
    call avCT(1088, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(1089)%branchCT(0:0))
    call avCT(1089, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_4424])

    allocate(vertices(783)%branchCT(0:0))
    call avCT(783, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_5555, nGC_5555])

    allocate(vertices(784)%branchCT(0:0))
    call avCT(784, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3130])

    allocate(vertices(827)%branchCT(0:0))
    call avCT(827, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(831)%branchCT(0:0))
    call avCT(831, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_5179])

    allocate(vertices(739)%branchCT(0:0))
    call avCT(739, 0, 8, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4547, nGC_4548])

    allocate(vertices(793)%branchCT(0:0))
    call avCT(793, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_3166, nGC_3167])

    allocate(vertices(797)%branchCT(0:0))
    call avCT(797, 0, 8, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_4938, nGC_4938])

    allocate(vertices(798)%branchCT(0:0))
    call avCT(798, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4628])

    allocate(vertices(801)%branchCT(0:0))
    call avCT(801, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_3166, nGC_3167])

    allocate(vertices(805)%branchCT(0:0))
    call avCT(805, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(960)%branchCT(0:0))
    call avCT(960, 0, 8, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4792, nGC_4793])

    allocate(vertices(984)%branchCT(0:0))
    call avCT(984, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(285)%branchCT(0:0))
    call avCT(285, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4585])

    allocate(vertices(813)%branchCT(0:0))
    call avCT(813, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5232, nGC_5232,       &
    nGC_5231])

    allocate(vertices(814)%branchCT(0:0))
    call avCT(814, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(815)%branchCT(0:0))
    call avCT(815, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_4381])

    allocate(vertices(816)%branchCT(0:0))
    call avCT(816, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4453])

    allocate(vertices(701)%branchCT(0:0))
    call avCT(701, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_4991])

    allocate(vertices(981)%branchCT(0:0))
    call avCT(981, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4809, nGC_4809])

    allocate(vertices(989)%branchCT(0:0))
    call avCT(989, 0, 21, 1, 0, SFFa0, 0, [0, 1, 1], [nGC_4657, nGC_4657])

    allocate(vertices(287)%branchCT(0:0))
    call avCT(287, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4700, nGC_4700,       &
    nGC_4701])

    allocate(vertices(956)%branchCT(0:1))
    call avCT(956, 0, 24, 2, 0, FaVF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(956, 1, 25, 3, 0, FaVF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(796)%branchCT(0:0))
    call avCT(796, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(835)%branchCT(0:0))
    call avCT(835, 0, 8, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_4749])

    allocate(vertices(867)%branchCT(0:0))
    call avCT(867, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(480)%branchCT(0:0))
    call avCT(480, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_4536])

    allocate(vertices(71)%branchCT(0:0))
    call avCT(71, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_6893])

    allocate(vertices(842)%branchCT(0:0))
    call avCT(842, 0, 17, 1, 0, FaFS0, 0, [0, 1, 1], [nGC_4648, nGC_4648])

    allocate(vertices(844)%branchCT(0:0))
    call avCT(844, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(845)%branchCT(0:0))
    call avCT(845, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(847)%branchCT(0:0))
    call avCT(847, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4758, nGC_4759])

    allocate(vertices(848)%branchCT(0:0))
    call avCT(848, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4946, nGC_4947])

    allocate(vertices(849)%branchCT(0:0))
    call avCT(849, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(839)%branchCT(0:0))
    call avCT(839, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(1090)%branchCT(0:0))
    call avCT(1090, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(533)%branchCT(0:0))
    call avCT(533, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_3171, nGC_3170])

    allocate(vertices(853)%branchCT(0:0))
    call avCT(853, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(854)%branchCT(0:0))
    call avCT(854, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_5006])

    allocate(vertices(917)%branchCT(0:0))
    call avCT(917, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_3121])

    allocate(vertices(204)%branchCT(0:0))
    call avCT(204, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(1091)%branchCT(0:0))
    call avCT(1091, 0, 13, 1, 0, FaF1, 0, [0, 0, 0], [nGC_6431, nGC_6430])

    allocate(vertices(898)%branchCT(0:0))
    call avCT(898, 0, 10, 1, 0, FFaS1, 0, [0, 1, 1], [nGC_4657, nGC_4657])

    allocate(vertices(232)%branchCT(0:0))
    call avCT(232, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4701, nGC_4700,       &
    nGC_4700])

    allocate(vertices(862)%branchCT(0:0))
    call avCT(862, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_3124])

    allocate(vertices(983)%branchCT(0:0))
    call avCT(983, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4411])

    allocate(vertices(865)%branchCT(0:0))
    call avCT(865, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(870)%branchCT(0:1))
    call avCT(870, 0, 30, 2, 0, VFFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(870, 1, 31, 3, 0, VFFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(871)%branchCT(0:0))
    call avCT(871, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_4715])

    allocate(vertices(968)%branchCT(0:0))
    call avCT(968, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_4776])

    allocate(vertices(873)%branchCT(0:0))
    call avCT(873, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4875])

    allocate(vertices(874)%branchCT(0:0))
    call avCT(874, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4906])

    allocate(vertices(878)%branchCT(0:0))
    call avCT(878, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(879)%branchCT(0:0))
    call avCT(879, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3122])

    allocate(vertices(711)%branchCT(0:0))
    call avCT(711, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4597])

    allocate(vertices(889)%branchCT(0:0))
    call avCT(889, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3130])

    allocate(vertices(890)%branchCT(0:0))
    call avCT(890, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4875])

    allocate(vertices(864)%branchCT(0:0))
    call avCT(864, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_6893])

    allocate(vertices(519)%branchCT(0:0))
    call avCT(519, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4504, nGC_4504,       &
    nGC_4505])

    allocate(vertices(588)%branchCT(0:0))
    call avCT(588, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(896)%branchCT(0:0))
    call avCT(896, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4554])

    allocate(vertices(899)%branchCT(0:0))
    call avCT(899, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_5204])

    allocate(vertices(903)%branchCT(0:0))
    call avCT(903, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(810)%branchCT(0:0))
    call avCT(810, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_5006])

    allocate(vertices(908)%branchCT(0:0))
    call avCT(908, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4499])

    allocate(vertices(910)%branchCT(0:0))
    call avCT(910, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4946, nGC_4947])

    allocate(vertices(916)%branchCT(0:0))
    call avCT(916, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(28)%branchCT(0:0))
    call avCT(28, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(963)%branchCT(0:0))
    call avCT(963, 0, 8, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_4572])

    allocate(vertices(921)%branchCT(0:0))
    call avCT(921, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_5057])

    allocate(vertices(716)%branchCT(0:0))
    call avCT(716, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4495])

    allocate(vertices(927)%branchCT(0:0))
    call avCT(927, 0, 17, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4486, nGC_4487])

    allocate(vertices(955)%branchCT(0:0))
    call avCT(955, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4407])

    allocate(vertices(931)%branchCT(0:1))
    call avCT(931, 0, 26, 2, 0, FVFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(931, 1, 27, 3, 0, FVFa0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(743)%branchCT(0:0))
    call avCT(743, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4536])

    allocate(vertices(1092)%branchCT(0:0))
    call avCT(1092, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_5453])

    allocate(vertices(942)%branchCT(0:0))
    call avCT(942, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4628])

    allocate(vertices(1093)%branchCT(0:0))
    call avCT(1093, 0, 42, 1, 0, FaF2, 0, [0, 0, 0], [nGC_3205, nGC_3205])

    allocate(vertices(944)%branchCT(0:0))
    call avCT(944, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_4411])

    allocate(vertices(946)%branchCT(0:0))
    call avCT(946, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4890])

    allocate(vertices(111)%branchCT(0:0))
    call avCT(111, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_5182])

    allocate(vertices(949)%branchCT(0:0))
    call avCT(949, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(950)%branchCT(0:1))
    call avCT(950, 0, 36, 4, 0, UaVU0, 0, [3, 0, 0], [nGC_4526])

    call avCT(950, 1, 37, 5, 0, UaVU0, 0, [3, 0, 0], [nGC_4526])

    allocate(vertices(780)%branchCT(0:0))
    call avCT(780, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4758, nGC_4759])

    allocate(vertices(443)%branchCT(0:0))
    call avCT(443, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(958)%branchCT(0:0))
    call avCT(958, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_3126])

    allocate(vertices(961)%branchCT(0:0))
    call avCT(961, 0, 17, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_5555, nGC_5555])

    allocate(vertices(964)%branchCT(0:0))
    call avCT(964, 0, 8, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_4465, nGC_4464])

    allocate(vertices(966)%branchCT(0:0))
    call avCT(966, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_3121])

    allocate(vertices(970)%branchCT(0:0))
    call avCT(970, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_5179])

    allocate(vertices(971)%branchCT(0:1))
    call avCT(971, 0, 24, 2, 0, FaVF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    call avCT(971, 1, 25, 3, 0, FaVF0, 0, [3, 0, 0], [nGC_4391, nGC_4391])

    allocate(vertices(972)%branchCT(0:0))
    call avCT(972, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4385])

    allocate(vertices(973)%branchCT(0:0))
    call avCT(973, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4715])

    allocate(vertices(974)%branchCT(0:0))
    call avCT(974, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4396])

    allocate(vertices(841)%branchCT(0:0))
    call avCT(841, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_4991])

    allocate(vertices(485)%branchCT(0:0))
    call avCT(485, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_4520])

    allocate(vertices(37)%branchCT(0:0))
    call avCT(37, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4906])

    allocate(vertices(979)%branchCT(0:0))
    call avCT(979, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_4559])

    allocate(vertices(998)%branchCT(0:0))
    call avCT(998, 0, 8, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4547, nGC_4548])

    allocate(vertices(3)%branchCT(0:0))
    call avCT(3, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_5194])

    allocate(vertices(223)%branchCT(0:0))
    call avCT(223, 0, 8, 1, 0, FFaS2, 0, [0, 1, 0], [nGC_4445])

    allocate(vertices(987)%branchCT(0:0))
    call avCT(987, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4495])

    allocate(vertices(76)%branchCT(0:0))
    call avCT(76, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_3127])

    allocate(vertices(1094)%branchCT(0:0))
    call avCT(1094, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4446])

    allocate(vertices(160)%branchCT(0:0))
    call avCT(160, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_3167, nGC_3166])

    allocate(vertices(472)%branchCT(0:0))
    call avCT(472, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_4767])

    allocate(vertices(1000)%branchCT(0:0))
    call avCT(1000, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4439])

    allocate(vertices(608)%branchR2(0:1))
    call avR2(608, 0, 8, 1, 0, VSS0, 0, [0, 3, 2], [nGC_7348])

    call avR2(608, 1, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_7349])

    allocate(vertices(1061)%branchR2(0:0))
    call avR2(1061, 0, 13, 1, 0, VV4, 0, [0, 2, 0], [nGC_3029, nGC_3030])

    allocate(vertices(435)%branchR2(0:20))
    call avR2(435, 0, 2, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_7356, nGC_7356,       &
    nGC_3107])

    call avR2(435, 1, 3, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_7356, nGC_7356,       &
    nGC_3107])

    call avR2(435, 2, 4, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_7363, nGC_3111,       &
    nGC_3111])

    call avR2(435, 3, 5, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3111, nGC_7363,       &
    nGC_3111])

    call avR2(435, 4, 6, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_7363, nGC_3111,       &
    nGC_3111])

    call avR2(435, 5, 7, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3111, nGC_7363,       &
    nGC_3111])

    call avR2(435, 6, 89, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3108, nGC_3108,      &
    nGC_3108])

    call avR2(435, 7, 90, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3108, nGC_3108,      &
    nGC_3108])

    call avR2(435, 8, 91, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3109, nGC_3109,      &
    nGC_3109])

    call avR2(435, 9, 92, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3108, nGC_3108,      &
    nGC_3108])

    call avR2(435, 10, 93, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3109, nGC_3109,     &
    nGC_3109])

    call avR2(435, 11, 94, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3109, nGC_3109,     &
    nGC_3109])

    call avR2(435, 12, 95, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3110, nGC_3110,     &
    nGC_3110])

    call avR2(435, 13, 96, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3108, nGC_3108,     &
    nGC_3108])

    call avR2(435, 14, 97, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3109, nGC_3109,     &
    nGC_3109])

    call avR2(435, 15, 98, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3109, nGC_3109,     &
    nGC_3109])

    call avR2(435, 16, 99, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3109, nGC_3109,     &
    nGC_3109])

    call avR2(435, 17, 100, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3108, nGC_3108,    &
    nGC_3108])

    call avR2(435, 18, 101, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3108, nGC_3108,    &
    nGC_3108])

    call avR2(435, 19, 102, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3108, nGC_3108,    &
    nGC_3108])

    call avR2(435, 20, 103, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_3108, nGC_3108,    &
    nGC_3108])

    allocate(vertices(1095)%branchR2(0:3))
    call avR2(1095, 0, 57, 1, 0, SVSV0, 0, [2, 2, 2], [nGC_3085])

    call avR2(1095, 1, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_3086])

    call avR2(1095, 2, 58, 1, 0, SVSV0, 0, [2, 2, 2], [nGC_3087])

    call avR2(1095, 3, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_3088])

    allocate(vertices(1)%branchR2(0:0))
    call avR2(1, 0, 8, 1, 0, VVV1, 0, [0, 3, 0], [nGC_7381, nGC_3054])

    allocate(vertices(265)%branchR2(0:0))
    call avR2(265, 0, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_3060])

    allocate(vertices(219)%branchR2(0:0))
    call avR2(219, 0, 8, 1, 0, VVV2, 0, [0, 3, 0], [nGC_7381, nGC_3054])

    allocate(vertices(1096)%branchR2(0:5))
    call avR2(1096, 0, 65, 1, 0, VVVV1, 0, [3, 1, 0], [nGC_3102, nGC_3102,     &
    nGC_3102, nGC_3103])

    call avR2(1096, 1, 66, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3104, nGC_3104,     &
    nGC_3104])

    call avR2(1096, 2, 67, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3104, nGC_3104,     &
    nGC_3104])

    call avR2(1096, 3, 68, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3105, nGC_3105,     &
    nGC_3105])

    call avR2(1096, 4, 69, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3104, nGC_3104,     &
    nGC_3104])

    call avR2(1096, 5, 70, 1, 0, VVVV1, 0, [3, 1, 0], [nGC_3102, nGC_3102,     &
    nGC_3102, nGC_3106])

    allocate(vertices(1097)%branchR2(0:1))
    call avR2(1097, 0, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_3081])

    call avR2(1097, 1, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_3082])

    allocate(vertices(466)%branchR2(0:0))
    call avR2(466, 0, 8, 1, 0, VVV2, 0, [0, 3, 0], [nGC_7397, nGC_3078])

    allocate(vertices(1098)%branchR2(0:1))
    call avR2(1098, 0, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3083, nGC_3083,     &
    nGC_3083])

    call avR2(1098, 1, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3084, nGC_3084,     &
    nGC_3084])

    allocate(vertices(1099)%branchR2(0:5))
    call avR2(1099, 0, 83, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3099, nGC_3099,     &
    nGC_3099])

    call avR2(1099, 1, 84, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3100, nGC_3100,     &
    nGC_3100])

    call avR2(1099, 2, 85, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3100, nGC_3100,     &
    nGC_3100])

    call avR2(1099, 3, 86, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3100, nGC_3100,     &
    nGC_3100])

    call avR2(1099, 4, 87, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3101, nGC_3101,     &
    nGC_3101])

    call avR2(1099, 5, 88, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3099, nGC_3099,     &
    nGC_3099])

    allocate(vertices(1100)%branchR2(0:3))
    call avR2(1100, 0, 53, 1, 0, SSVV0, 0, [2, 2, 2], [nGC_3085])

    call avR2(1100, 1, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_3086])

    call avR2(1100, 2, 54, 1, 0, SSVV0, 0, [2, 2, 2], [nGC_3087])

    call avR2(1100, 3, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_3088])

    allocate(vertices(1101)%branchR2(0:1))
    call avR2(1101, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3083, nGC_3083,     &
    nGC_3083])

    call avR2(1101, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3084, nGC_3084,     &
    nGC_3084])

    allocate(vertices(535)%branchR2(0:0))
    call avR2(535, 0, 8, 1, 0, VVV3, 0, [0, 3, 0], [nGC_3053, nGC_3054])

    allocate(vertices(1102)%branchR2(0:3))
    call avR2(1102, 0, 61, 1, 0, VSSV0, 0, [2, 2, 2], [nGC_3089])

    call avR2(1102, 1, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_3090])

    call avR2(1102, 2, 62, 1, 0, VSSV0, 0, [2, 2, 2], [nGC_3091])

    call avR2(1102, 3, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_3092])

    allocate(vertices(1103)%branchR2(0:1))
    call avR2(1103, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_3081])

    call avR2(1103, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_3082])

    allocate(vertices(544)%branchR2(0:1))
    call avR2(544, 0, 8, 1, 0, SVV0, 0, [0, 3, 1], [nGC_3071])

    call avR2(544, 1, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3072])

    allocate(vertices(1012)%branchR2(0:1))
    call avR2(1012, 0, 8, 1, 0, VSV0, 0, [0, 3, 1], [nGC_3057])

    call avR2(1012, 1, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3058])

    allocate(vertices(1104)%branchR2(0:1))
    call avR2(1104, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3093, nGC_3093,     &
    nGC_3093])

    call avR2(1104, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3094, nGC_3094,     &
    nGC_3094])

    allocate(vertices(153)%branchR2(0:0))
    call avR2(153, 0, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_7427])

    allocate(vertices(1044)%branchR2(0:0))
    call avR2(1044, 0, 13, 1, 0, VV4, 0, [0, 2, 0], [nGC_3039, nGC_3040])

    allocate(vertices(789)%branchR2(0:0))
    call avR2(789, 0, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_7427])

    allocate(vertices(53)%branchR2(0:0))
    call avR2(53, 0, 8, 1, 0, VVV4, 0, [0, 3, 0], [nGC_3053, nGC_3054])

    allocate(vertices(1105)%branchR2(0:1))
    call avR2(1105, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3083, nGC_3083,     &
    nGC_3083])

    call avR2(1105, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3084, nGC_3084,     &
    nGC_3084])

    allocate(vertices(852)%branchR2(0:0))
    call avR2(852, 0, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3070])

    allocate(vertices(1106)%branchR2(0:3))
    call avR2(1106, 0, 59, 1, 0, VSVS0, 0, [2, 2, 2], [nGC_3089])

    call avR2(1106, 1, 59, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_3090])

    call avR2(1106, 2, 60, 1, 0, VSVS0, 0, [2, 2, 2], [nGC_3091])

    call avR2(1106, 3, 60, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_3092])

    allocate(vertices(991)%branchR2(0:0))
    call avR2(991, 0, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_3061])

    allocate(vertices(1107)%branchR2(0:1))
    call avR2(1107, 0, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3095, nGC_3095,     &
    nGC_3095])

    call avR2(1107, 1, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3096, nGC_3096,     &
    nGC_3096])

    allocate(vertices(1108)%branchR2(0:5))
    call avR2(1108, 0, 71, 1, 0, VVVV1, 0, [3, 1, 0], [nGC_3102, nGC_3102,     &
    nGC_3102, nGC_7449])

    call avR2(1108, 1, 72, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3104, nGC_3104,     &
    nGC_3104])

    call avR2(1108, 2, 73, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3104, nGC_3104,     &
    nGC_3104])

    call avR2(1108, 3, 74, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3104, nGC_3104,     &
    nGC_3104])

    call avR2(1108, 4, 75, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3105, nGC_3105,     &
    nGC_3105])

    call avR2(1108, 5, 76, 1, 0, VVVV1, 0, [3, 1, 0], [nGC_3102, nGC_3102,     &
    nGC_3102, nGC_7445])

    allocate(vertices(268)%branchR2(0:0))
    call avR2(268, 0, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3070])

    allocate(vertices(1109)%branchR2(0:1))
    call avR2(1109, 0, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3083, nGC_3083,     &
    nGC_3083])

    call avR2(1109, 1, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3084, nGC_3084,     &
    nGC_3084])

    allocate(vertices(1110)%branchR2(0:1))
    call avR2(1110, 0, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3093, nGC_3093,     &
    nGC_3093])

    call avR2(1110, 1, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3094, nGC_3094,     &
    nGC_3094])

    allocate(vertices(1075)%branchR2(0:1))
    call avR2(1075, 0, 15, 1, 0, VV5, 0, [2, 0, 0], [nGC_3047, nGC_3048])

    call avR2(1075, 1, 16, 1, 0, VV5, 0, [2, 0, 0], [nGC_3049, nGC_3050])

    allocate(vertices(823)%branchR2(0:0))
    call avR2(823, 0, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_7463])

    allocate(vertices(365)%branchR2(0:0))
    call avR2(365, 0, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3051])

    allocate(vertices(482)%branchR2(0:0))
    call avR2(482, 0, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3063])

    allocate(vertices(1111)%branchR2(0:1))
    call avR2(1111, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3083, nGC_3083,     &
    nGC_3083])

    call avR2(1111, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3084, nGC_3084,     &
    nGC_3084])

    allocate(vertices(815)%branchR2(0:0))
    call avR2(815, 0, 8, 1, 0, VVV5, 0, [0, 3, 0], [nGC_7381, nGC_3054])

    allocate(vertices(716)%branchR2(0:0))
    call avR2(716, 0, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3051])

    allocate(vertices(1112)%branchR2(0:1))
    call avR2(1112, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3095, nGC_3095,     &
    nGC_3095])

    call avR2(1112, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3096, nGC_3096,     &
    nGC_3096])

    allocate(vertices(1011)%branchR2(0:1))
    call avR2(1011, 0, 13, 1, 0, SS1, 0, [0, 2, 2], [nGC_3037, nGC_3035])

    call avR2(1011, 1, 13, 1, 0, SS1, 0, [0, 2, 0], [nGC_3038, nGC_3036])

    allocate(vertices(36)%branchR2(0:0))
    call avR2(36, 0, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_3064])

    allocate(vertices(481)%branchR2(0:0))
    call avR2(481, 0, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3063])

    allocate(vertices(1113)%branchR2(0:1))
    call avR2(1113, 0, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3097, nGC_3097,     &
    nGC_3097])

    call avR2(1113, 1, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3098, nGC_3098,     &
    nGC_3098])

    allocate(vertices(241)%branchR2(0:1))
    call avR2(241, 0, 8, 1, 0, SVS0, 0, [0, 3, 2], [nGC_3067])

    call avR2(241, 1, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_3068])

    allocate(vertices(1114)%branchR2(0:1))
    call avR2(1114, 0, 8, 1, 0, VSV0, 0, [0, 3, 1], [nGC_3055])

    call avR2(1114, 1, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3056])

    allocate(vertices(512)%branchR2(0:0))
    call avR2(512, 0, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_7486])

    allocate(vertices(1115)%branchR2(0:3))
    call avR2(1115, 0, 57, 1, 0, SVSV0, 0, [2, 2, 2], [nGC_3089])

    call avR2(1115, 1, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_3090])

    call avR2(1115, 2, 58, 1, 0, SVSV0, 0, [2, 2, 2], [nGC_3091])

    call avR2(1115, 3, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_3092])

    allocate(vertices(1116)%branchR2(0:1))
    call avR2(1116, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3093, nGC_3093,     &
    nGC_3093])

    call avR2(1116, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3094, nGC_3094,     &
    nGC_3094])

    allocate(vertices(864)%branchR2(0:0))
    call avR2(864, 0, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_7494])

    allocate(vertices(1117)%branchR2(0:3))
    call avR2(1117, 0, 45, 1, 0, VSV0, 0, [2, 1, 1], [nGC_3073])

    call avR2(1117, 1, 45, 1, 0, VSV0, 0, [2, 1, 0], [nGC_3074])

    call avR2(1117, 2, 46, 1, 0, VSV0, 0, [2, 1, 1], [nGC_3075])

    call avR2(1117, 3, 46, 1, 0, VSV0, 0, [2, 1, 0], [nGC_3076])

    allocate(vertices(37)%branchR2(0:0))
    call avR2(37, 0, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3063])

    allocate(vertices(1118)%branchR2(0:1))
    call avR2(1118, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3095, nGC_3095,     &
    nGC_3095])

    call avR2(1118, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3096, nGC_3096,     &
    nGC_3096])

    allocate(vertices(1119)%branchR2(0:1))
    call avR2(1119, 0, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_3081])

    call avR2(1119, 1, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_3082])

    allocate(vertices(1120)%branchR2(0:3))
    call avR2(1120, 0, 53, 1, 0, SSVV0, 0, [2, 2, 2], [nGC_3089])

    call avR2(1120, 1, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_3090])

    call avR2(1120, 2, 54, 1, 0, SSVV0, 0, [2, 2, 2], [nGC_3091])

    call avR2(1120, 3, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_3092])

    allocate(vertices(1059)%branchR2(0:0))
    call avR2(1059, 0, 13, 1, 0, VV5, 0, [0, 2, 0], [nGC_3039, nGC_3040])

    allocate(vertices(997)%branchR2(0:0))
    call avR2(997, 0, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3051])

    allocate(vertices(765)%branchR2(0:0))
    call avR2(765, 0, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_3062])

    allocate(vertices(1121)%branchR2(0:5))
    call avR2(1121, 0, 65, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3099, nGC_3099,     &
    nGC_3099])

    call avR2(1121, 1, 66, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3100, nGC_3100,     &
    nGC_3100])

    call avR2(1121, 2, 67, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3100, nGC_3100,     &
    nGC_3100])

    call avR2(1121, 3, 68, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3101, nGC_3101,     &
    nGC_3101])

    call avR2(1121, 4, 69, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3100, nGC_3100,     &
    nGC_3100])

    call avR2(1121, 5, 70, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3099, nGC_3099,     &
    nGC_3099])

    allocate(vertices(1122)%branchR2(0:1))
    call avR2(1122, 0, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3083, nGC_3083,     &
    nGC_3083])

    call avR2(1122, 1, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3084, nGC_3084,     &
    nGC_3084])

    allocate(vertices(798)%branchR2(0:0))
    call avR2(798, 0, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_3065])

    allocate(vertices(417)%branchR2(0:0))
    call avR2(417, 0, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3063])

    allocate(vertices(444)%branchR2(0:0))
    call avR2(444, 0, 8, 1, 0, SSS0, 0, [0, 3, 0], [nGC_3066])

    allocate(vertices(304)%branchR2(0:0))
    call avR2(304, 0, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_3052])

    allocate(vertices(373)%branchR2(0:0))
    call avR2(373, 0, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_3065])

    allocate(vertices(1063)%branchR2(0:0))
    call avR2(1063, 0, 13, 1, 0, VV5, 0, [0, 2, 0], [nGC_3029, nGC_3030])

    allocate(vertices(696)%branchR2(0:0))
    call avR2(696, 0, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_3052])

    allocate(vertices(1123)%branchR2(0:5))
    call avR2(1123, 0, 83, 1, 0, VVVV1, 0, [3, 1, 0], [nGC_3102, nGC_3102,     &
    nGC_3102, nGC_7449])

    call avR2(1123, 1, 84, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3104, nGC_3104,     &
    nGC_3104])

    call avR2(1123, 2, 85, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3104, nGC_3104,     &
    nGC_3104])

    call avR2(1123, 3, 86, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3104, nGC_3104,     &
    nGC_3104])

    call avR2(1123, 4, 87, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3105, nGC_3105,     &
    nGC_3105])

    call avR2(1123, 5, 88, 1, 0, VVVV1, 0, [3, 1, 0], [nGC_3102, nGC_3102,     &
    nGC_3102, nGC_7445])

    allocate(vertices(1124)%branchR2(0:1))
    call avR2(1124, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3097, nGC_3097,     &
    nGC_3097])

    call avR2(1124, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3098, nGC_3098,     &
    nGC_3098])

    allocate(vertices(572)%branchR2(0:0))
    call avR2(572, 0, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3051])

    allocate(vertices(420)%branchR2(0:1))
    call avR2(420, 0, 8, 1, 0, VSV0, 0, [0, 3, 1], [nGC_3071])

    call avR2(420, 1, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3072])

    allocate(vertices(337)%branchR2(0:0))
    call avR2(337, 0, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3063])

    allocate(vertices(1125)%branchR2(0:1))
    call avR2(1125, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3083, nGC_3083,     &
    nGC_3083])

    call avR2(1125, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3084, nGC_3084,     &
    nGC_3084])

    allocate(vertices(1126)%branchR2(0:1))
    call avR2(1126, 0, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3095, nGC_3095,     &
    nGC_3095])

    call avR2(1126, 1, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3096, nGC_3096,     &
    nGC_3096])

    allocate(vertices(940)%branchR2(0:0))
    call avR2(940, 0, 8, 1, 0, VVV5, 0, [0, 3, 0], [nGC_7397, nGC_3078])

    allocate(vertices(764)%branchR2(0:0))
    call avR2(764, 0, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_7427])

    allocate(vertices(629)%branchR2(0:0))
    call avR2(629, 0, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3070])

    allocate(vertices(430)%branchR2(0:0))
    call avR2(430, 0, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_7463])

    allocate(vertices(1127)%branchR2(0:0))
    call avR2(1127, 0, 13, 1, 0, SS0, 0, [0, 2, 0], [nGC_3032, nGC_3031])

    allocate(vertices(1071)%branchR2(0:1))
    call avR2(1071, 0, 8, 1, 0, VSV0, 0, [0, 3, 1], [nGC_3057])

    call avR2(1071, 1, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3058])

    allocate(vertices(975)%branchR2(0:0))
    call avR2(975, 0, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3051])

    allocate(vertices(1128)%branchR2(0:3))
    call avR2(1128, 0, 61, 1, 0, VSSV0, 0, [2, 2, 2], [nGC_3085])

    call avR2(1128, 1, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_3086])

    call avR2(1128, 2, 62, 1, 0, VSSV0, 0, [2, 2, 2], [nGC_3087])

    call avR2(1128, 3, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_3088])

    allocate(vertices(922)%branchR2(0:0))
    call avR2(922, 0, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_7561])

    allocate(vertices(996)%branchR2(0:0))
    call avR2(996, 0, 8, 1, 0, SSS0, 0, [0, 3, 0], [nGC_3059])

    allocate(vertices(1129)%branchR2(0:1))
    call avR2(1129, 0, 63, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_3081])

    call avR2(1129, 1, 64, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_3082])

    allocate(vertices(1130)%branchR2(0:1))
    call avR2(1130, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3095, nGC_3095,     &
    nGC_3095])

    call avR2(1130, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3096, nGC_3096,     &
    nGC_3096])

    allocate(vertices(1131)%branchR2(0:1))
    call avR2(1131, 0, 59, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_3081])

    call avR2(1131, 1, 60, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_3082])

    allocate(vertices(800)%branchR2(0:0))
    call avR2(800, 0, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_7561])

    allocate(vertices(1132)%branchR2(0:1))
    call avR2(1132, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3083, nGC_3083,     &
    nGC_3083])

    call avR2(1132, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3084, nGC_3084,     &
    nGC_3084])

    allocate(vertices(968)%branchR2(0:0))
    call avR2(968, 0, 8, 1, 0, SSS0, 0, [0, 3, 0], [nGC_3059])

    allocate(vertices(855)%branchR2(0:1))
    call avR2(855, 0, 0, 1, 0, VVV0, 0, [3, 0, 0], [nGC_7574])

    call avR2(855, 1, 1, 1, 0, VVV0, 0, [3, 0, 0], [nGC_7576])

    allocate(vertices(1133)%branchR2(0:0))
    call avR2(1133, 0, 13, 1, 0, SS1, 0, [0, 2, 0], [nGC_3032, nGC_3031])

    allocate(vertices(1134)%branchR2(0:1))
    call avR2(1134, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3097, nGC_3097,     &
    nGC_3097])

    call avR2(1134, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3098, nGC_3098,     &
    nGC_3098])

    allocate(vertices(99)%branchR2(0:0))
    call avR2(99, 0, 8, 1, 0, SSS0, 0, [0, 3, 0], [nGC_3059])

    allocate(vertices(447)%branchR2(0:0))
    call avR2(447, 0, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3051])

    allocate(vertices(31)%branchR2(0:0))
    call avR2(31, 0, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_3062])

    allocate(vertices(264)%branchR2(0:0))
    call avR2(264, 0, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_3062])

    allocate(vertices(196)%branchR2(0:0))
    call avR2(196, 0, 8, 1, 0, VVV6, 0, [0, 3, 0], [nGC_3077, nGC_3078])

    allocate(vertices(269)%branchR2(0:0))
    call avR2(269, 0, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_3061])

    allocate(vertices(394)%branchR2(0:0))
    call avR2(394, 0, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3063])

    allocate(vertices(67)%branchR2(0:0))
    call avR2(67, 0, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3063])

    allocate(vertices(472)%branchR2(0:0))
    call avR2(472, 0, 8, 1, 0, VVV4, 0, [0, 3, 0], [nGC_3077, nGC_3078])

    allocate(vertices(987)%branchR2(0:0))
    call avR2(987, 0, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3051])

    allocate(vertices(1135)%branchR2(0:5))
    call avR2(1135, 0, 71, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3099, nGC_3099,     &
    nGC_3099])

    call avR2(1135, 1, 72, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3100, nGC_3100,     &
    nGC_3100])

    call avR2(1135, 2, 73, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3100, nGC_3100,     &
    nGC_3100])

    call avR2(1135, 3, 74, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3100, nGC_3100,     &
    nGC_3100])

    call avR2(1135, 4, 75, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3101, nGC_3101,     &
    nGC_3101])

    call avR2(1135, 5, 76, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3099, nGC_3099,     &
    nGC_3099])

    allocate(vertices(1049)%branchR2(0:0))
    call avR2(1049, 0, 13, 1, 0, VV5, 0, [0, 2, 0], [nGC_3045, nGC_3046])

    allocate(vertices(1136)%branchR2(0:1))
    call avR2(1136, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3083, nGC_3083,     &
    nGC_3083])

    call avR2(1136, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3084, nGC_3084,     &
    nGC_3084])

    allocate(vertices(19)%branchR2(0:0))
    call avR2(19, 0, 8, 1, 0, VVV6, 0, [0, 3, 0], [nGC_3053, nGC_3054])

    allocate(vertices(274)%branchR2(0:0))
    call avR2(274, 0, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3063])

    allocate(vertices(404)%branchR2(0:0))
    call avR2(404, 0, 8, 1, 0, SSS0, 0, [0, 3, 0], [nGC_3059])

    allocate(vertices(1137)%branchR2(0:1))
    call avR2(1137, 0, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_3081])

    call avR2(1137, 1, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_3082])

    allocate(vertices(571)%branchR2(0:0))
    call avR2(571, 0, 8, 1, 0, SSS0, 0, [0, 3, 0], [nGC_3069])

    allocate(vertices(946)%branchR2(0:0))
    call avR2(946, 0, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_3064])

    allocate(vertices(1138)%branchR2(0:1))
    call avR2(1138, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3097, nGC_3097,     &
    nGC_3097])

    call avR2(1138, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3098, nGC_3098,     &
    nGC_3098])

    allocate(vertices(1139)%branchR2(0:1))
    call avR2(1139, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3093, nGC_3093,     &
    nGC_3093])

    call avR2(1139, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3094, nGC_3094,     &
    nGC_3094])

    allocate(vertices(1140)%branchR2(0:1))
    call avR2(1140, 0, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_3081])

    call avR2(1140, 1, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_3082])

    allocate(vertices(1006)%branchR2(0:1))
    call avR2(1006, 0, 8, 1, 0, SVV0, 0, [0, 3, 1], [nGC_3057])

    call avR2(1006, 1, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3058])

    allocate(vertices(166)%branchR2(0:0))
    call avR2(166, 0, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_7463])

    allocate(vertices(1141)%branchR2(0:1))
    call avR2(1141, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3097, nGC_3097,     &
    nGC_3097])

    call avR2(1141, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3098, nGC_3098,     &
    nGC_3098])

    allocate(vertices(990)%branchR2(0:0))
    call avR2(990, 0, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3070])

    allocate(vertices(1142)%branchR2(0:3))
    call avR2(1142, 0, 47, 1, 0, VVS0, 0, [2, 1, 1], [nGC_3073])

    call avR2(1142, 1, 47, 1, 0, VVS0, 0, [2, 1, 0], [nGC_3074])

    call avR2(1142, 2, 48, 1, 0, VVS0, 0, [2, 1, 1], [nGC_3075])

    call avR2(1142, 3, 48, 1, 0, VVS0, 0, [2, 1, 0], [nGC_3076])

    allocate(vertices(1143)%branchR2(0:3))
    call avR2(1143, 0, 63, 1, 0, VVSS0, 0, [2, 2, 2], [nGC_3085])

    call avR2(1143, 1, 63, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_3086])

    call avR2(1143, 2, 64, 1, 0, VVSS0, 0, [2, 2, 2], [nGC_3087])

    call avR2(1143, 3, 64, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_3088])

    allocate(vertices(248)%branchR2(0:0))
    call avR2(248, 0, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3063])

    allocate(vertices(599)%branchR2(0:0))
    call avR2(599, 0, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_3060])

    allocate(vertices(1144)%branchR2(0:1))
    call avR2(1144, 0, 8, 1, 0, SVV0, 0, [0, 3, 1], [nGC_3055])

    call avR2(1144, 1, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3056])

    allocate(vertices(286)%branchR2(0:0))
    call avR2(286, 0, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_3064])

    allocate(vertices(354)%branchR2(0:0))
    call avR2(354, 0, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3070])

    allocate(vertices(1039)%branchR2(0:1))
    call avR2(1039, 0, 8, 1, 0, VVS0, 0, [0, 3, 1], [nGC_3057])

    call avR2(1039, 1, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3058])

    allocate(vertices(1145)%branchR2(0:1))
    call avR2(1145, 0, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3097, nGC_3097,     &
    nGC_3097])

    call avR2(1145, 1, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3098, nGC_3098,     &
    nGC_3098])

    allocate(vertices(1146)%branchR2(0:1))
    call avR2(1146, 0, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3093, nGC_3093,     &
    nGC_3093])

    call avR2(1146, 1, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3094, nGC_3094,     &
    nGC_3094])

    allocate(vertices(184)%branchR2(0:1))
    call avR2(184, 0, 8, 1, 0, VVS0, 0, [0, 3, 1], [nGC_3071])

    call avR2(184, 1, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3072])

    allocate(vertices(70)%branchR2(0:0))
    call avR2(70, 0, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3051])

    allocate(vertices(1147)%branchR2(0:1))
    call avR2(1147, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_3081])

    call avR2(1147, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_3082])

    allocate(vertices(1148)%branchR2(0:1))
    call avR2(1148, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_3081])

    call avR2(1148, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_3082])

    allocate(vertices(556)%branchR2(0:0))
    call avR2(556, 0, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_7486])

    allocate(vertices(1149)%branchR2(0:1))
    call avR2(1149, 0, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3095, nGC_3095,     &
    nGC_3095])

    call avR2(1149, 1, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3096, nGC_3096,     &
    nGC_3096])

    allocate(vertices(1150)%branchR2(0:3))
    call avR2(1150, 0, 55, 1, 0, SVVS0, 0, [2, 2, 2], [nGC_3085])

    call avR2(1150, 1, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_3086])

    call avR2(1150, 2, 56, 1, 0, SVVS0, 0, [2, 2, 2], [nGC_3087])

    call avR2(1150, 3, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_3088])

    allocate(vertices(44)%branchR2(0:0))
    call avR2(44, 0, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3051])

    allocate(vertices(1151)%branchR2(0:1))
    call avR2(1151, 0, 63, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_3081])

    call avR2(1151, 1, 64, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_3082])

    allocate(vertices(68)%branchR2(0:0))
    call avR2(68, 0, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_7661])

    allocate(vertices(685)%branchR2(0:0))
    call avR2(685, 0, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_3060])

    allocate(vertices(635)%branchR2(0:0))
    call avR2(635, 0, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3051])

    allocate(vertices(874)%branchR2(0:0))
    call avR2(874, 0, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3063])

    allocate(vertices(1152)%branchR2(0:1))
    call avR2(1152, 0, 59, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_3081])

    call avR2(1152, 1, 60, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_3082])

    allocate(vertices(13)%branchR2(0:0))
    call avR2(13, 0, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_7661])

    allocate(vertices(1153)%branchR2(0:1))
    call avR2(1153, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3095, nGC_3095,     &
    nGC_3095])

    call avR2(1153, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3096, nGC_3096,     &
    nGC_3096])

    allocate(vertices(575)%branchR2(0:0))
    call avR2(575, 0, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3063])

    allocate(vertices(1154)%branchR2(0:1))
    call avR2(1154, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3095, nGC_3095,     &
    nGC_3095])

    call avR2(1154, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3096, nGC_3096,     &
    nGC_3096])

    allocate(vertices(1155)%branchR2(0:1))
    call avR2(1155, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3095, nGC_3095,     &
    nGC_3095])

    call avR2(1155, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3096, nGC_3096,     &
    nGC_3096])

    allocate(vertices(717)%branchR2(0:0))
    call avR2(717, 0, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3051])

    allocate(vertices(1156)%branchR2(0:5))
    call avR2(1156, 0, 77, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3099, nGC_3099,     &
    nGC_3099])

    call avR2(1156, 1, 78, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3100, nGC_3100,     &
    nGC_3100])

    call avR2(1156, 2, 79, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3100, nGC_3100,     &
    nGC_3100])

    call avR2(1156, 3, 80, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3100, nGC_3100,     &
    nGC_3100])

    call avR2(1156, 4, 81, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3101, nGC_3101,     &
    nGC_3101])

    call avR2(1156, 5, 82, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3099, nGC_3099,     &
    nGC_3099])

    allocate(vertices(1157)%branchR2(0:3))
    call avR2(1157, 0, 59, 1, 0, VSVS0, 0, [2, 2, 2], [nGC_3085])

    call avR2(1157, 1, 59, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_3086])

    call avR2(1157, 2, 60, 1, 0, VSVS0, 0, [2, 2, 2], [nGC_3087])

    call avR2(1157, 3, 60, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_3088])

    allocate(vertices(1158)%branchR2(0:1))
    call avR2(1158, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3083, nGC_3083,     &
    nGC_3083])

    call avR2(1158, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3084, nGC_3084,     &
    nGC_3084])

    allocate(vertices(347)%branchR2(0:0))
    call avR2(347, 0, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_7494])

    allocate(vertices(1086)%branchR2(0:1))
    call avR2(1086, 0, 8, 1, 0, SVV0, 0, [0, 3, 1], [nGC_3057])

    call avR2(1086, 1, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3058])

    allocate(vertices(790)%branchR2(0:1))
    call avR2(790, 0, 8, 1, 0, VSS0, 0, [0, 3, 2], [nGC_3067])

    call avR2(790, 1, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_3068])

    allocate(vertices(203)%branchR2(0:0))
    call avR2(203, 0, 8, 1, 0, SSS0, 0, [0, 3, 0], [nGC_3059])

    allocate(vertices(883)%branchR2(0:0))
    call avR2(883, 0, 8, 1, 0, SSS0, 0, [0, 3, 0], [nGC_3066])

    allocate(vertices(1159)%branchR2(0:5))
    call avR2(1159, 0, 77, 1, 0, VVVV1, 0, [3, 1, 0], [nGC_3102, nGC_3102,     &
    nGC_3102, nGC_3106])

    call avR2(1159, 1, 78, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3104, nGC_3104,     &
    nGC_3104])

    call avR2(1159, 2, 79, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3104, nGC_3104,     &
    nGC_3104])

    call avR2(1159, 3, 80, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3104, nGC_3104,     &
    nGC_3104])

    call avR2(1159, 4, 81, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_3105, nGC_3105,     &
    nGC_3105])

    call avR2(1159, 5, 82, 1, 0, VVVV1, 0, [3, 1, 0], [nGC_3102, nGC_3102,     &
    nGC_3102, nGC_3103])

    allocate(vertices(389)%branchR2(0:0))
    call avR2(389, 0, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_7561])

    allocate(vertices(1060)%branchR2(0:1))
    call avR2(1060, 0, 8, 1, 0, VVS0, 0, [0, 3, 1], [nGC_3057])

    call avR2(1060, 1, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3058])

    allocate(vertices(948)%branchR2(0:0))
    call avR2(948, 0, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_7661])

    allocate(vertices(858)%branchR2(0:0))
    call avR2(858, 0, 8, 1, 0, VVV1, 0, [0, 3, 0], [nGC_7397, nGC_3078])

    allocate(vertices(617)%branchR2(0:0))
    call avR2(617, 0, 8, 1, 0, VVV3, 0, [0, 3, 0], [nGC_3077, nGC_3078])

    allocate(vertices(1160)%branchR2(0:1))
    call avR2(1160, 0, 13, 1, 0, SS1, 0, [0, 2, 2], [nGC_3043, nGC_3041])

    call avR2(1160, 1, 13, 1, 0, SS1, 0, [0, 2, 0], [nGC_3044, nGC_3042])

    allocate(vertices(1161)%branchR2(0:1))
    call avR2(1161, 0, 8, 1, 0, VVS0, 0, [0, 3, 1], [nGC_3055])

    call avR2(1161, 1, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3056])

    allocate(vertices(251)%branchR2(0:0))
    call avR2(251, 0, 8, 1, 0, SSS0, 0, [0, 3, 0], [nGC_3066])

    allocate(vertices(1162)%branchR2(0:3))
    call avR2(1162, 0, 63, 1, 0, VVSS0, 0, [2, 2, 2], [nGC_3089])

    call avR2(1162, 1, 63, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_3090])

    call avR2(1162, 2, 64, 1, 0, VVSS0, 0, [2, 2, 2], [nGC_3091])

    call avR2(1162, 3, 64, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_3092])

    allocate(vertices(390)%branchR2(0:0))
    call avR2(390, 0, 8, 1, 0, VVS0, 0, [0, 3, 0], [nGC_3063])

    allocate(vertices(451)%branchR2(0:0))
    call avR2(451, 0, 8, 1, 0, VSS0, 0, [0, 3, 0], [nGC_7486])

    allocate(vertices(1163)%branchR2(0:1))
    call avR2(1163, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3095, nGC_3095,     &
    nGC_3095])

    call avR2(1163, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3096, nGC_3096,     &
    nGC_3096])

    allocate(vertices(826)%branchR2(0:0))
    call avR2(826, 0, 8, 1, 0, SVV0, 0, [0, 3, 0], [nGC_3070])

    allocate(vertices(1164)%branchR2(0:1))
    call avR2(1164, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3095, nGC_3095,     &
    nGC_3095])

    call avR2(1164, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3096, nGC_3096,     &
    nGC_3096])

    allocate(vertices(1165)%branchR2(0:1))
    call avR2(1165, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_3081])

    call avR2(1165, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_3082])

    allocate(vertices(895)%branchR2(0:0))
    call avR2(895, 0, 8, 1, 0, VSV0, 0, [0, 3, 0], [nGC_3051])

    allocate(vertices(1166)%branchR2(0:1))
    call avR2(1166, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3083, nGC_3083,     &
    nGC_3083])

    call avR2(1166, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3084, nGC_3084,     &
    nGC_3084])

    allocate(vertices(1167)%branchR2(0:1))
    call avR2(1167, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3093, nGC_3093,     &
    nGC_3093])

    call avR2(1167, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3094, nGC_3094,     &
    nGC_3094])

    allocate(vertices(71)%branchR2(0:0))
    call avR2(71, 0, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_7494])

    allocate(vertices(1028)%branchR2(0:0))
    call avR2(1028, 0, 13, 1, 0, VV5, 0, [0, 2, 0], [nGC_3033, nGC_3034])

    allocate(vertices(187)%branchR2(0:0))
    call avR2(187, 0, 8, 1, 0, SSS0, 0, [0, 3, 0], [nGC_3059])

    allocate(vertices(1168)%branchR2(0:1))
    call avR2(1168, 0, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3083, nGC_3083,     &
    nGC_3083])

    call avR2(1168, 1, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3084, nGC_3084,     &
    nGC_3084])

    allocate(vertices(591)%branchR2(0:0))
    call avR2(591, 0, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_3061])

    allocate(vertices(1169)%branchR2(0:3))
    call avR2(1169, 0, 55, 1, 0, SVVS0, 0, [2, 2, 2], [nGC_3089])

    call avR2(1169, 1, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_3090])

    call avR2(1169, 2, 56, 1, 0, SVVS0, 0, [2, 2, 2], [nGC_3091])

    call avR2(1169, 3, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_3092])

    allocate(vertices(942)%branchR2(0:0))
    call avR2(942, 0, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_3065])

    allocate(vertices(55)%branchR2(0:1))
    call avR2(55, 0, 8, 1, 0, SSV0, 0, [0, 3, 2], [nGC_7348])

    call avR2(55, 1, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_7349])

    allocate(vertices(1170)%branchR2(0:1))
    call avR2(1170, 0, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3095, nGC_3095,     &
    nGC_3095])

    call avR2(1170, 1, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_3096, nGC_3096,     &
    nGC_3096])

    allocate(vertices(771)%branchR2(0:1))
    call avR2(771, 0, 8, 1, 0, SVS0, 0, [0, 3, 2], [nGC_7348])

    call avR2(771, 1, 8, 1, 0, SVS0, 0, [0, 3, 0], [nGC_7349])

    allocate(vertices(674)%branchR2(0:0))
    call avR2(674, 0, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_3052])

    allocate(vertices(1171)%branchR2(0:3))
    call avR2(1171, 0, 43, 1, 0, SVV0, 0, [2, 1, 1], [nGC_3073])

    call avR2(1171, 1, 43, 1, 0, SVV0, 0, [2, 1, 0], [nGC_3074])

    call avR2(1171, 2, 44, 1, 0, SVV0, 0, [2, 1, 1], [nGC_3075])

    call avR2(1171, 3, 44, 1, 0, SVV0, 0, [2, 1, 0], [nGC_3076])

    allocate(vertices(663)%branchR2(0:1))
    call avR2(663, 0, 8, 1, 0, SSV0, 0, [0, 3, 2], [nGC_3067])

    call avR2(663, 1, 8, 1, 0, SSV0, 0, [0, 3, 0], [nGC_3068])

  end subroutine fill_vertices_mdl3
end module vertices_info3
