!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-22 13:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 243, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 498, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 132, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 103, check)
    call createCurrent(P_G0, P_H, P_A, 1070, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 567, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 204, check)
    call createCurrent(P_c, P_G0, P_cAnti, 698, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 814, check)
    call createCurrent(P_H, P_t, P_tAnti, 989, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 484, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 358, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 261, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 655, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 376, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 732, check)
    call createCurrent(P_Z, P_bAnti, P_b, 407, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 755, check)
    call createCurrent(P_G0, P_cAnti, P_c, 217, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 512, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 179, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 596, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 73, check)
    call createCurrent(P_H, P_H, P_A, P_Z, 1084, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 190, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 45, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 826, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1110, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 86, check)
    call createCurrent(P_muPlus, P_muMinus, 1045, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 87, check)
    call createCurrent(P_bAnti, P_b, P_Z, 845, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 381, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 674, check)
    call createCurrent(P_G0, P_uAnti, P_u, 331, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 342, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 91, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 921, check)
    call createCurrent(P_A, P_c, P_cAnti, 357, check)
    call createCurrent(P_s, P_sAnti, P_H, 774, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1125, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1103, check)
    call createCurrent(P_H, P_G0, P_G0, 444, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 129, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 472, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 786, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 929, check)
    call createCurrent(P_A, P_uAnti, P_u, 32, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 216, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 556, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 271, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 646, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1154, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 886, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 338, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 988, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 838, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 31, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 382, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 936, check)
    call createCurrent(P_H, P_H, 1011, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1141, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 917, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 935, check)
    call createCurrent(P_uAnti, P_u, 1054, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 930, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 148, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 583, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 694, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 933, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 907, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 602, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 945, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 731, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 682, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 56, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 6, check)
    call createCurrent(P_s, P_g, P_sAnti, 5, check)
    call createCurrent(P_A, P_bAnti, P_b, 619, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 854, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 28, check)
    call createCurrent(P_sAnti, P_s, 1085, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 384, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 717, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 652, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 670, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 873, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 394, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 823, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 831, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 978, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 627, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 499, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 951, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 827, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 505, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 733, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 328, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 174, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1046, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 555, check)
    call createCurrent(P_Z, P_H, P_A, P_H, 1041, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 565, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 871, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 497, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1148, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 123, check)
    call createCurrent(P_H, P_Z, P_Z, 544, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 713, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 554, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 637, check)
    call createCurrent(P_dAnti, P_d, 1093, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 678, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 570, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 467, check)
    call createCurrent(P_u, P_uAnti, P_G0, 474, check)
    call createCurrent(P_s, P_A, P_sAnti, 606, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1124, check)
    call createCurrent(P_g, P_H, P_g, 1117, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1137, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 534, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 662, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 142, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1097, check)
    call createCurrent(P_d, P_dAnti, 1030, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 729, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 1088, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 799, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 364, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 198, check)
    call createCurrent(P_H, P_G0, P_A, 1025, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 333, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 866, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 1026, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 57, check)
    call createCurrent(P_cAnti, P_g, P_c, 971, check)
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 453, check)
    call createCurrent(P_A, P_cAnti, P_c, 926, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 196, check)
    call createCurrent(P_G0, P_H, P_Z, 663, check)
    call createCurrent(P_H, P_uAnti, P_u, 114, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 829, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 299, check)
    call createCurrent(P_H, P_A, P_Z, 1006, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 1023, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 1036, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 517, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 643, check)
    call createCurrent(P_d, P_g, P_dAnti, 931, check)
    call createCurrent(P_Z, P_dAnti, P_d, 496, check)
    call createCurrent(P_bAnti, P_b, P_g, 85, check)
    call createCurrent(P_cAnti, P_Z, P_c, 454, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 258, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 1069, check)
    call createCurrent(P_GPlus, P_GMinus, 1133, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1150, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 212, check)
    call createCurrent(P_t, P_H, P_tAnti, 468, check)
    call createCurrent(P_cAnti, P_A, P_c, 335, check)
    call createCurrent(P_g, P_g, P_H, 1142, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 429, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 788, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 293, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 998, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 425, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 640, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 654, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 282, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 314, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 393, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 375, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 274, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 14, check)
    call createCurrent(P_H, P_H, P_Z, P_A, 1090, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 255, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 782, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 864, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 436, check)
    call createCurrent(P_G0, P_dAnti, P_d, 648, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 281, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1115, check)
    call createCurrent(P_s, P_Z, P_sAnti, 254, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 311, check)
    call createCurrent(P_H, P_dAnti, P_d, 718, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 631, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 309, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 877, check)
    call createCurrent(P_H, P_cAnti, P_c, 586, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 185, check)
    call createCurrent(P_bAnti, P_b, P_G0, 316, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 402, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 165, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 944, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 437, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 413, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 559, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 1016, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 708, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 38, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 552, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 763, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 566, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 176, check)
    call createCurrent(P_G0, P_u, P_uAnti, 11, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 773, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 943, check)
    call createCurrent(P_c, P_cAnti, P_Z, 464, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 234, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 94, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 312, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 158, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 337, check)
    call createCurrent(P_u, P_A, P_uAnti, 15, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 65, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 965, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 947, check)
    call createCurrent(P_H, P_g, P_g, 1171, check)
    call createCurrent(P_uAnti, P_G0, P_u, 377, check)
    call createCurrent(P_A, P_u, P_uAnti, 260, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 905, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 460, check)
    call createCurrent(P_G0, P_c, P_cAnti, 749, check)
    call createCurrent(P_g, P_c, P_cAnti, 952, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1136, check)
    call createCurrent(P_dAnti, P_d, P_Z, 719, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 324, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 116, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 994, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 462, check)
    call createCurrent(P_b, P_bAnti, P_G0, 605, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 388, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 815, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 27, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 389, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 901, check)
    call createCurrent(P_dAnti, P_d, P_G0, 419, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 21, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 879, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 628, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 206, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 410, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_A, 1079, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1158, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 131, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 383, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 522, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 751, check)
    call createCurrent(P_Z, P_G0, P_H, 790, check)
    call createCurrent(P_cAnti, P_c, P_g, 500, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 29, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 340, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1157, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 372, check)
    call createCurrent(P_A, P_A, P_H, 1161, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 747, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 334, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 101, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 297, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 547, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1163, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 680, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 985, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 447, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 880, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 397, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 1043, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 803, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 962, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 228, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 13, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 272, check)
    call createCurrent(P_sAnti, P_s, P_H, 600, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 289, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 9, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 58, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 810, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 687, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 950, check)
    call createCurrent(P_Z, P_cAnti, P_c, 982, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 980, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 161, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1102, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 266, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 785, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 51, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 932, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 183, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 778, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 574, check)
    call createCurrent(P_G0, P_A, P_H, 1077, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 791, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 88, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 182, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 19, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 264, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 458, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 765, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 591, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 231, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 621, check)
    call createCurrent(P_dAnti, P_g, P_d, 305, check)
    call createCurrent(P_s, P_sAnti, P_G0, 295, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1013, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 187, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 374, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 406, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 1068, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 226, check)
    call createCurrent(P_c, P_cAnti, P_A, 750, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 658, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 473, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 844, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 115, check)
    call createCurrent(P_sAnti, P_s, P_A, 159, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 538, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 802, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 77, check)
    call createCurrent(P_G0, P_Z, 1001, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 169, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 239, check)
    call createCurrent(P_H, P_sAnti, P_s, 706, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 850, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1132, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 928, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 920, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 315, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1111, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 958, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 269, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 213, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1159, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 562, check)
    call createCurrent(P_A, P_Z, P_H, P_H, 1007, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 727, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 714, check)
    call createCurrent(P_u, P_uAnti, P_H, 736, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 720, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1145, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 895, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 501, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 1072, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 465, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 237, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 617, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 126, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 110, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 636, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 660, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 451, check)
    call createCurrent(P_G0, P_bAnti, P_b, 150, check)
    call createCurrent(P_A, P_d, P_dAnti, 399, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 632, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 976, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1167, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 629, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 422, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 469, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 892, check)
    call createCurrent(P_H, P_H, P_H, 571, check)
    call createCurrent(P_b, P_bAnti, P_H, 134, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 832, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 273, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 353, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 543, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 757, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 723, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 308, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 987, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 283, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1139, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 83, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 704, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 84, check)
    call createCurrent(P_A, P_sAnti, P_s, 503, check)
    call createCurrent(P_tAnti, P_t, P_H, 136, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 504, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 233, check)
    call createCurrent(P_sAnti, P_A, P_s, 645, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 949, check)
    call createCurrent(P_H, P_A, P_A, 1144, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 306, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 191, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 178, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 527, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 471, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 284, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1112, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1095, check)
    call createCurrent(P_Z, P_b, P_bAnti, 597, check)
    call createCurrent(P_d, P_dAnti, P_Z, 263, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 876, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 149, check)
    call createCurrent(P_dAnti, P_H, P_d, 820, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1010, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 151, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 483, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 675, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 955, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 1003, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 16, check)
    call createCurrent(P_b, P_G0, P_bAnti, 48, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1121, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 681, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1091, check)
    call createCurrent(P_GMinus, P_GPlus, 1127, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 805, check)
    call createCurrent(P_tAnti, P_H, P_t, 78, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 569, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1098, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 430, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 701, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 934, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 561, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1164, check)
    call createCurrent(P_c, P_g, P_cAnti, 253, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 34, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 979, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 553, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 568, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 118, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1058, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 197, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 948, check)
    call createCurrent(P_uAnti, P_u, P_g, 902, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 36, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 345, check)
    call createCurrent(P_c, P_Z, P_cAnti, 442, check)
    call createCurrent(P_t, P_tAnti, 1076, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 37, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 860, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 695, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 117, check)
    call createCurrent(P_A, P_dAnti, P_d, 900, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 812, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 486, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 990, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 818, check)
    call createCurrent(P_sAnti, P_H, P_s, 210, check)
    call createCurrent(P_sAnti, P_G0, P_s, 526, check)
    call createCurrent(P_d, P_A, P_dAnti, 452, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 515, check)
    call createCurrent(P_bAnti, P_H, P_b, 448, check)
    call createCurrent(P_H, P_A, P_Z, P_H, 1009, check)
    call createCurrent(P_dAnti, P_Z, P_d, 728, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 558, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 878, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 691, check)
    call createCurrent(P_Z, P_u, P_uAnti, 581, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1169, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 302, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 247, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 767, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 834, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 858, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 63, check)
    call createCurrent(P_b, P_bAnti, P_A, 546, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 572, check)
    call createCurrent(P_A, P_G0, 1019, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 712, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 550, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 124, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 109, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 781, check)
    call createCurrent(P_g, P_d, P_dAnti, 870, check)
    call createCurrent(P_uAnti, P_u, P_G0, 495, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 665, check)
    call createCurrent(P_H, P_A, P_H, P_Z, 1040, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 224, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 970, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 76, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 64, check)
    call createCurrent(P_g, P_g, P_g, P_g, 435, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 163, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 957, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 573, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1126, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1101, check)
    call createCurrent(P_A, P_H, P_G0, 1092, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 909, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 622, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 313, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 470, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 26, check)
    call createCurrent(P_uAnti, P_A, P_u, 294, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 603, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1153, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1105, check)
    call createCurrent(P_t, P_tAnti, P_H, 898, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 794, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 882, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 12, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1138, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 69, check)
    call createCurrent(P_G0, P_H, P_G0, 883, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 1008, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 348, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 1042, check)
    call createCurrent(P_H, P_Z, P_H, P_A, 1031, check)
    call createCurrent(P_uAnti, P_H, P_u, 215, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 772, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 493, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 449, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1156, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 888, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 711, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 702, check)
    call createCurrent(P_H, P_d, P_dAnti, 379, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 514, check)
    call createCurrent(P_s, P_H, P_sAnti, 252, check)
    call createCurrent(P_cAnti, P_c, 1066, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1104, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1107, check)
    call createCurrent(P_c, P_cAnti, P_G0, 386, check)
    call createCurrent(P_Z, P_uAnti, P_u, 848, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 341, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 156, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 390, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 1050, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 896, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 580, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 745, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 211, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 30, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 235, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 354, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 696, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 940, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 816, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 248, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 801, check)
    call createCurrent(P_g, P_g, 1075, check)
    call createCurrent(P_bAnti, P_A, P_b, 710, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 612, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 355, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 577, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 286, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 759, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 563, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 71, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 344, check)
    call createCurrent(P_dAnti, P_d, P_g, 189, check)
    call createCurrent(P_Z, P_H, P_G0, 608, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 849, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 367, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 769, check)
    call createCurrent(P_bAnti, P_g, P_b, 441, check)
    call createCurrent(P_b, P_Z, P_bAnti, 651, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 716, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 106, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 923, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 613, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 304, check)
    call createCurrent(P_u, P_uAnti, 1022, check)
    call createCurrent(P_b, P_bAnti, P_Z, 104, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 160, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 392, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 657, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 545, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 476, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 668, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 542, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 521, check)
    call createCurrent(P_Z, P_Z, 1049, check)
    call createCurrent(P_s, P_sAnti, P_g, 59, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1122, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 638, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 593, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1113, check)
    call createCurrent(P_uAnti, P_Z, P_u, 93, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 404, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 332, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 1, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 168, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 623, check)
    call createCurrent(P_g, P_uAnti, P_u, 128, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 412, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 323, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 122, check)
    call createCurrent(P_G0, P_s, P_sAnti, 610, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 154, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 839, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 343, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1134, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 975, check)
    call createCurrent(P_Z, P_sAnti, P_s, 54, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 479, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 528, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 937, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 689, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 278, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 938, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 307, check)
    call createCurrent(P_H, P_G0, P_Z, 55, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 146, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 856, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 285, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 370, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 642, check)
    call createCurrent(P_sAnti, P_s, P_Z, 927, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 865, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 924, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 186, check)
    call createCurrent(P_WMinus, P_GPlus, 1037, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 368, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 824, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 359, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 941, check)
    call createCurrent(P_cAnti, P_c, P_H, 276, check)
    call createCurrent(P_WMinus, P_WPlus, 1061, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 434, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 890, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 141, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 1034, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 89, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 738, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 601, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 884, check)
    call createCurrent(P_A, P_G0, P_H, 1087, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 508, check)
    call createCurrent(P_tAnti, P_t, 1052, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 942, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 423, check)
    call createCurrent(P_G0, P_d, P_dAnti, 703, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 482, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 620, check)
    call createCurrent(P_bAnti, P_G0, P_b, 626, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 851, check)
    call createCurrent(P_H, P_Z, P_A, P_H, 1094, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 770, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 519, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 457, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 784, check)
    call createCurrent(P_H, P_Z, P_G0, 241, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 676, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 968, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 1035, check)
    call createCurrent(P_c, P_cAnti, P_H, 919, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 614, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 97, check)
    call createCurrent(P_Z, P_H, P_H, P_A, 1033, check)
    call createCurrent(P_H, P_H, P_H, P_H, 378, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 911, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 889, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 592, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 1080, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 644, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 478, check)
    call createCurrent(P_bAnti, P_Z, P_b, 766, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 317, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 734, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 1078, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 414, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 426, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 811, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 822, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 579, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 450, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 594, check)
    call createCurrent(P_cAnti, P_H, P_c, 329, check)
    call createCurrent(P_d, P_dAnti, P_A, 705, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 33, check)
    call createCurrent(P_A, P_Z, 1059, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 4, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 520, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 175, check)
    call createCurrent(P_G0, P_G0, P_H, 251, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 835, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 760, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 491, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 95, check)
    call createCurrent(P_cAnti, P_c, P_A, 456, check)
    call createCurrent(P_eMinus, P_ePlus, 1047, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 649, check)
    call createCurrent(P_u, P_uAnti, P_A, 780, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 352, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 914, check)
    call createCurrent(P_c, P_cAnti, 1053, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 762, check)
    call createCurrent(P_dAnti, P_d, P_H, 961, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 513, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 647, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 387, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 953, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 946, check)
    call createCurrent(P_s, P_sAnti, P_Z, 809, check)
    call createCurrent(P_WPlus, P_WMinus, 1063, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 730, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 540, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 418, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 195, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 1065, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 506, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1096, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 582, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 688, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 709, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1165, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 20, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 1002, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 524, check)
    call createCurrent(P_g, P_s, P_sAnti, 721, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 144, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 137, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 833, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 808, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 841, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 684, check)
    call createCurrent(P_b, P_bAnti, 1057, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 205, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 221, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 267, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1024, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 207, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 590, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 707, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 18, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 599, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 222, check)
    call createCurrent(P_c, P_A, P_cAnti, 847, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 531, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 672, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 742, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 874, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 488, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 485, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 240, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 417, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 564, check)
    call createCurrent(P_d, P_G0, P_dAnti, 587, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 925, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 170, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 400, check)
    call createCurrent(P_A, P_H, P_A, 1114, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 764, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 443, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 380, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 630, check)
    call createCurrent(P_Z, P_A, P_H, 1039, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 991, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 997, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 320, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 806, check)
    call createCurrent(P_A, P_H, P_H, P_Z, 1064, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 147, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 897, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1119, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 741, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 986, check)
    call createCurrent(P_uAnti, P_u, P_A, 225, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 1081, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 166, check)
    call createCurrent(P_u, P_g, P_uAnti, 475, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 650, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 356, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 690, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 244, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 973, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1143, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 959, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 615, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 100, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 371, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 697, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 39, check)
    call createCurrent(P_Z, P_d, P_dAnti, 119, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 350, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 428, check)
    call createCurrent(P_d, P_dAnti, P_H, 843, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 748, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 439, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 899, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 164, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 270, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 219, check)
    call createCurrent(P_b, P_bAnti, P_g, 346, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 125, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 133, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 795, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 862, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1147, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 466, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1100, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 576, check)
    call createCurrent(P_A, P_s, P_sAnti, 249, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 351, check)
    call createCurrent(P_b, P_A, P_bAnti, 47, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 416, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 903, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 793, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 797, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 671, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 347, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1099, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 3, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 79, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 363, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 494, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 202, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 192, check)
    call createCurrent(P_A, P_H, P_Z, 1012, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 112, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 916, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 735, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 699, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 746, check)
    call createCurrent(P_H, P_tAnti, P_t, 686, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1116, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 692, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 969, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1168, check)
    call createCurrent(P_sAnti, P_Z, P_s, 75, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 143, check)
    call createCurrent(P_A, P_Z, P_H, 1060, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1109, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 172, check)
    call createCurrent(P_GMinus, P_WPlus, 1017, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 180, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 551, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 98, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 72, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 61, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 365, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 362, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 656, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 327, check)
    call createCurrent(P_dAnti, P_d, P_A, 296, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 446, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 227, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 461, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 616, check)
    call createCurrent(P_u, P_uAnti, P_Z, 325, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 1000, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1151, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 268, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 669, check)
    call createCurrent(P_g, P_sAnti, P_s, 360, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 836, check)
    call createCurrent(P_bAnti, P_b, 1051, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 861, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 954, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 214, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 1089, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 431, check)
    call createCurrent(P_dAnti, P_A, P_d, 349, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 44, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 223, check)
    call createCurrent(P_u, P_H, P_uAnti, 981, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1027, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 726, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 667, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 199, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 525, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 319, check)
    call createCurrent(P_G0, P_G0, 1160, check)
    call createCurrent(P_g, P_b, P_bAnti, 120, check)
    call createCurrent(P_A, P_b, P_bAnti, 8, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1162, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 201, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 10, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 1073, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 609, check)
    call createCurrent(P_Z, P_s, P_sAnti, 218, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 840, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 891, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 481, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 245, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 752, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 167, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 908, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 887, check)
    call createCurrent(P_c, P_H, P_cAnti, 398, check)
    call createCurrent(P_GPlus, P_WMinus, 1018, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 287, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 81, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 280, check)
    call createCurrent(P_sAnti, P_s, P_g, 194, check)
    call createCurrent(P_WPlus, P_GMinus, 1004, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 867, check)
    call createCurrent(P_Z, P_c, P_cAnti, 290, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1155, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 817, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 635, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 90, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 433, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 41, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 96, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1118, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 1020, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 881, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 173, check)
    call createCurrent(P_s, P_sAnti, 1082, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 208, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 776, check)
    call createCurrent(P_b, P_g, P_bAnti, 318, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 339, check)
    call createCurrent(P_g, P_cAnti, P_c, 758, check)
    call createCurrent(P_d, P_H, P_dAnti, 783, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 459, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 257, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 50, check)
    call createCurrent(P_Z, P_H, P_A, 1071, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 915, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 964, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 539, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 779, check)
    call createCurrent(P_G0, P_A, P_G0, P_Z, 1062, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 203, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 366, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 641, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1120, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 868, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 277, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 661, check)
    call createCurrent(P_sAnti, P_s, P_G0, 80, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 683, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 427, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 737, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 432, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 330, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 291, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 60, check)
    call createCurrent(P_s, P_G0, P_sAnti, 533, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 62, check)
    call createCurrent(P_u, P_G0, P_uAnti, 411, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 105, check)
    call createCurrent(P_cAnti, P_c, P_G0, 753, check)
    call createCurrent(P_g, P_u, P_uAnti, 863, check)
    call createCurrent(P_H, P_bAnti, P_b, 787, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 250, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 906, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 310, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 939, check)
    call createCurrent(P_uAnti, P_u, P_Z, 894, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 0, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 113, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 1083, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 789, check)
    call createCurrent(P_G0, P_sAnti, P_s, 777, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 800, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 999, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 633, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 492, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 535, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 275, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 177, check)
    call createCurrent(P_g, P_g, P_g, 855, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 373, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 761, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 301, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 53, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 130, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 49, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 984, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 922, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 509, check)
    call createCurrent(P_H, P_u, P_uAnti, 82, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 575, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 744, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 230, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 7, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 246, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 724, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 67, check)
    call createCurrent(P_H, P_A, P_G0, 1032, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 66, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1166, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 722, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 607, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 893, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 238, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 966, check)
    call createCurrent(P_H, P_c, P_cAnti, 578, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 298, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 477, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 740, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 401, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 232, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 490, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 502, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 188, check)
    call createCurrent(P_Z, P_H, P_Z, 420, check)
    call createCurrent(P_g, P_dAnti, P_d, 624, check)
    call createCurrent(P_d, P_dAnti, P_G0, 977, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 162, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 537, check)
    call createCurrent(P_bAnti, P_b, P_H, 842, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 557, check)
    call createCurrent(P_d, P_Z, P_dAnti, 560, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 52, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 666, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 262, check)
    call createCurrent(P_g, P_bAnti, P_b, 415, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 445, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 181, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 1038, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 259, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1170, check)
    call createCurrent(P_ePlus, P_eMinus, 1005, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 92, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 111, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 480, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 300, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 830, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 813, check)
    call createCurrent(P_G0, P_Z, P_H, 771, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 336, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1130, check)
    call createCurrent(P_cAnti, P_c, P_Z, 910, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 326, check)
    call createCurrent(P_uAnti, P_u, P_H, 35, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 440, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 819, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 673, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 421, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 739, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 756, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 68, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 396, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1108, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 403, check)
    call createCurrent(P_c, P_cAnti, P_g, 659, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 918, check)
    call createCurrent(P_Z, P_A, 1044, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 846, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 455, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1123, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 530, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 22, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 804, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 200, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 963, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 391, check)
    call createCurrent(P_bAnti, P_b, P_A, 516, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 996, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 127, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 46, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 17, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 265, check)
    call createCurrent(P_muMinus, P_muPlus, 1014, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 229, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 993, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 589, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 107, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 102, check)
    call createCurrent(P_d, P_dAnti, P_g, 595, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 121, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 972, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 541, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 155, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 857, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 1021, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 292, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 70, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 807, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 548, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 139, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 145, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 768, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 193, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 42, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 242, check)
    call createCurrent(P_A, P_H, P_Z, P_H, 1074, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1106, check)
    call createCurrent(P_H, P_b, P_bAnti, 140, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 536, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 507, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 634, check)
    call createCurrent(P_Z, P_A, P_H, P_H, 1015, check)
    call createCurrent(P_dAnti, P_G0, P_d, 157, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 138, check)
    call createCurrent(P_A, P_A, 1028, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 700, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 303, check)
    call createCurrent(P_Z, P_Z, P_H, 184, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 532, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 598, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 837, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 108, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 743, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1067, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 798, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1129, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 209, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 584, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 25, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 321, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 171, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 639, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 679, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 967, check)
    call createCurrent(P_sAnti, P_g, P_s, 956, check)
    call createCurrent(P_cAnti, P_G0, P_c, 23, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 693, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 518, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 611, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 99, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 256, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 974, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 236, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 395, check)
    call createCurrent(P_u, P_uAnti, P_g, 604, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 424, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 1056, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 653, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 775, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 995, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 408, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 983, check)
    call createCurrent(P_Z, P_G0, 1048, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 385, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1140, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 588, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 821, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 152, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 463, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 960, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 220, check)
    call createCurrent(P_G0, P_b, P_bAnti, 875, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 685, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 869, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 135, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 523, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 487, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 825, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 2, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 792, check)
    call createCurrent(P_uAnti, P_g, P_u, 322, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 409, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 912, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 852, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 796, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1149, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 489, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 361, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 664, check)
    call createCurrent(P_G0, P_A, 1055, check)
    call createCurrent(P_H, P_s, P_sAnti, 24, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 913, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 677, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 828, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 625, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 279, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 549, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 872, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 992, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 438, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1152, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 510, check)
    call createCurrent(P_b, P_H, P_bAnti, 405, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 859, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 885, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 1029, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 585, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 853, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 715, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1128, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 618, check)
    call createCurrent(P_u, P_Z, P_uAnti, 511, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 288, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 74, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1131, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 725, check)
    call createCurrent(P_H, P_Z, P_A, 1086, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 904, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 529, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1135, check)
    call createCurrent(P_s, P_sAnti, P_A, 369, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1146, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 40, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 754, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 153, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 43, check)
  end subroutine fill_current_1
end module currents_info1
